/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2008 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',15,'childNodes||!',15,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. Unfortunately, your ','browser',' doesn\'t seem to have this.")}else{',1,2,'={version:"3.6b",document:document,',1,':',1,',','platform',':(','navigator.',36,'.match(/','Mac/)?"mac":',38,36,40,'Win/)?"pc":"unix"),','sizes',':[50,60,70,85,100,120,144,173,207,249],styles:{".math','":{"font-family":"serif","font-style":"normal","font-weight":"normal','"},".typeset',48,'","line-height":"normal','","text-indent":"0px','"},".typeset .','normal',48,'"},"div','.typeset','":{"text-align":"','center",margin:"1em 0px"},"span',57,58,'left',49,' span',58,'left",border',':"0px",margin:"0px','",padding',':"0px"},"a .typeset img, .typeset a img','":{border:"0px','","border-bottom":"','1px solid',' blue;"},".typeset .size0','":{"font-size":"','50','%"},".typeset .','size1',74,'60',76,'size2',74,'70',76,'size3',74,'85',76,'size4',74,'100',76,'size5',74,'120',76,'size6',74,'144',76,'size7',74,'173',76,'size8',74,'207',76,'size9',74,'249',76,'cmr10','":{"font-family":"jsMath-',113,', serif',53,'cmbx10',114,118,', ','jsMath-cmr10',53,'cmti10',114,124,', ',122,53,'cmmi10',114,130,53,'cmsy10',114,134,53,'cmex10',114,138,53,'textit','":{"font-family":"','serif","','font-style":"italic',53,'textbf',143,'serif","font-weight":"bold',53,'link":{"','text-decoration":"none',53,'error',74,'90%","',145,'","background-color','":"#FFFFCC',68,':"1px','",border:"',72,' #CC0000',53,'blank','":{display:"','inline-block','",overflow:"','hidden',162,'0px none",width:"0px",height:"0px',53,'spacer',167,168,'"},"#','jsMath_hiddenSpan":{','visibility:"hidden",position:"absolute",','top:"0px",left:"0px',51,52,177,'jsMath_message','":{position:"fixed",bottom:"','1px",left:"2px',158,'":"#E6E6E6','",border:"solid 1px #959595",margin:"0px",padding:"','1px 8px','","z-index":"','102','",color:"black","font-size":"','small",width:"auto','"},"#jsMath_panel',185,'1.75em",right:"1.5em',68,':".8em 1.6em',158,'":"#DDDDDD',162,'outset 2px',191,'103",','width:"auto',193,'10pt","font-style":"',54,195,' .disabled":{color:"#888888',195,' .infoLink',74,'85%"},"#jsMath_panel *":{"','font-size":"inherit","font-style":"inherit","font-family":"inherit',51,195,' div":{"','background-color":"inherit",color:"inherit"},"#jsMath_panel ','span":{"',220,'td',70,68,67,'","',220,'tr',70,68,67,'","',220,'table',70,68,67,158,'":"inherit",color:"inherit",height:"auto",',206,177,'jsMath_button',185,'1px",right:"2px',158,'":"white',189,'0px 3px 1px 3px',191,'102",color:"black","',152,'","font-size":"x-',194,'",cursor:"hand"},"#',243,' *":{padding:"0px",border',67,51,'","',216,177,'jsMath_global":{"',145,177,'jsMath_noFont',' .message":{"text-align":"center",padding:".8em 1.6em",border:"3px solid #DD0000","background-color":"#FFF8F8",color:"#AA0000","font-size":"',194,177,'jsMath_noFont .link":{padding:"0px 5px 2px 5px',162,'2px outset',158,'":"#E8E8E8',193,'80%",',206,255,'jsMath_PrintWarning',267,'x-',194,'"},"@media print":{"#',243,167,'none',177,'jsMath_Warning',167,'none"}},"@media screen":{"#',279,167,'none"}}},Element',':function(','A','){return ',6,15,16,'("jsMath_"+A)},','BBoxFor',294,'A','){this.','hidden.innerHTML','=\'<nobr><','span class="','typeset"><',307,'scale">\'+A+"</span></span></nobr>";var B={w:this.',170,'.offsetWidth',',h:this.',170,'.offsetHeight','};this.',305,'="";return B},EmBoxFor',294,'B){var A=',6,'Global.cache.R;if(!A[this.em]){A[this.em]={}}if(!A[this.em][B]){var C=this.BBoxFor(B);','A[this.em][B]={w:C.w/this.em,h:C.h/this.em}}return A[this.em][B]},','EmBoxForItalics',294,320,6,322,'if(B.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){C.w=C.Mw=','this.BBoxFor','(B+',6,'Browser.','italicString',').w-',6,333,'italicCorrection','}',323,'Init',':function(){','if(',6,'Setup.inited','!=1){',0,6,345,'){',6,'Setup.','Body()}if(',6,345,'!=1){if(',6,345,'==-100','){return }',23,'It looks like jsMath failed to set up properly (error code "+',6,345,'+").  I will try to keep going, but it could get ugly.");',6,345,'=1}}this.em=this.CurrentEm();','var A=',6,'Global.cache','.B;',0,'A[this.em]){A[this.em]={};','A[this.em].','bb=',330,'("x");var C=',375,'bb.h;',375,'d=',330,'("x"+',6,'HTML.Rule(1,','C/',6,'em)).h-C;if(',6,333,334,'){',375,'ic=',6,301,'(',6,333,334,').w}}',6,333,338,'=',375,'ic;var F=',375,'bb;var D=F.h;var E=',375,'d;this.h=(D-E)/this.em;this.d=E/this.em;this.hd=this.h+','this.d;this.',352,'TeXfonts','();var B=this.EmBoxFor(\'<',307,113,'">M</span>\').w/2;this.TeX.M_height=B*(26/14);this.TeX.h=this.h;this.TeX.d=',413,'TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',304,352,'Sizes','();this.','Img.UpdateFonts()}this.p_height=(','this.TeX.cmex10[0].','h+',429,'d)/0.85;',423,'=1},ReInit',342,'if(this.','em!=this.CurrentEm()){this.Init()}},CurrentEm',342,369,330,'(\'<span style="\'+',6,333,'block+\';width:27em;height:1em','"></span>\').','w/27;if(A>0',296,'A}return ',330,'(\'<img src="\'+',6,166,'+\'" style="width:13em;height:1em"/>\').w/13},Loaded',342,'if(',9,8,'B=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var A=0;A<','B','.length;A++){','if(',9,'[B[A]]){','delete ',9,'[B[A]]}}}if(',9,304,'Insert(jsMath,',9,')}',9,'=null;',6,7,'=1},Add',294,'C,A){for(var B in A){','C[B]=A[B]}},Insert',294,479,'if(C[B]&&typeof (A[B])=="object"&&(','typeof (C[B])=="','object"||',484,'function")){this.Insert(C[B],A[B])}else{C[B]=A[B]}}},Package',294,'B,A',304,'Insert(B.prototype,A)}};',6,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',342,6,371,'={',494,':{}}},GoGlobal',294,320,'String(',6,1,'.','location);var C','=(',6,'isCHMmode','?"#":"?");if(B){A=A.replace(/\\?.*/,"")+"?"+B}',6,'Controls.','Reload(',6,'root+"jsMath-','global.html"+C+escape(A))},Init',342,'if(',6,'Controls.cookie.','global=="always"&&!',6,'noGoGlobal','){if(',38,'accentColorName',360,0,6,1,'){',6,1,'=',1,'}',6,514,7,'=1;',6,514,'defaults.hiddenGlobal=null;this.GoGlobal(',6,514,'SetCookie(2))}},Register',342,369,6,1,'.parent;',0,6,'isCHMode){',6,511,'=(',6,1,'.','location.protocol','=="mk:")}try{',0,6,511,304,'Domain()}if(A',2,'&&A.',6,'isGlobal){A.',6,'Register(',6,1,')}}catch(B){',6,525,'=1}},Domain',342,'if(',38,'appName=="Microsoft Internet Explorer"&&',6,36,'=="mac"&&',38,'userProfile','!=null',360,'if(',1,'==parent',360,'var B=',6,15,'domain',';try{while(true){try{if(parent.',15,'title',591,'){return }}','catch(A){}',0,15,600,'.match(/\\..*\\./)){break}',6,15,600,'=',6,15,600,'.replace(/^[^.]*\\./,"")}}',606,6,15,600,'=B}};',6,'Script={request:null,Init',342,'if(!(',6,522,'asynch&&',6,522,'progress',')){if(',1,'.XMLHttpRequest','){try{','this.request','=new XMLHttpRequest}catch(C){}if(',638,'&&',6,'root.match','(/^file:\\/\\//)){try{',638,'.open("GET",',6,'root+"',6,'js",false);',638,'.send(null)}catch(','C){',638,'=null;if(',1,'.postMessage&&',1,'.addEventListener',304,'mustPost','=1;',6,1,659,'("message",',6,'Post.','Listener,false)}}}}',0,638,'&&',1,'.ActiveXObject&&!this.',661,8,'A=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',678,'.3',678,'","Microsoft.XMLHTTP"];','for(var B=0;B<','A.length&&!',638,';B++){try{',638,'=new ActiveXObject(A[B])}catch(C){}}}}',0,638,'||',6,352,'domainChanged',304,'Load=this.delayedLoad;this.needsBody=1}},Load',294,'B,A){','if(A){',6,'Message.Set("Loading "+','B);',6,'Script.','Delay(1);',6,'Script.Push(','this,"xmlRequest",B',');',6,708,6,'Message',',"Clear")}else{',6,708,709,')}},xmlRequest',294,'url){','this.blocking','=1;try{',638,646,'url,false);',638,652,'err){',722,'=0;if(',6,'Translate.','restart&&',6,'Translate.asynchronous){return""}throw"jsMath can\'t load the file \'"+url+"\'\\','nMessage: "+err.message}if(',638,'.status',591,'&&(',638,739,'>=400||',638,739,'<0)){',722,'=0;if(',6,733,'restart&&',6,736,'nError status: "+',638,739,'}',0,'url','.match(/\\.js$/)){','return(',638,'.responseText',')}var tmpQueue','=this.queue;this.queue','=[];',6,1,'.eval(',638,764,');',722,'=0;','this.queue=this.queue.concat(','tmpQueue);this.Process();return""},cancelTimeout:30*1000,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',294,'A,B){','if(typeof (','A)!="string"){',6,708,'null,A,B',')}else{',6,708,6,1,',"eval",A)}},Push',294,'A,C,B',304,'queue[','this.queue.length',']=[A,C,B];if(!(',722,'||(this.needsBody&&!',6,15,'body))){this.Process()}},Process',342,'while(',795,'&&!',722,8,'C=this.queue[0];this.queue=this.queue.slice(1);',369,'this.SaveQueue();var B=C[0];var E=C[1];var D=C[2];if(B){B[E](D',785,'if(E){E(D)}}this.','RestoreQueue','(A)}},SaveQueue',342,'var A',766,'=[];return A},',813,294,'A){',776,'A)},delayedLoad',294,'A',304,'Push(','this,"','startLoad','",A)},',829,294,'A',8,'B=',6,15,21,'("iframe");','B.style.','visibility="','hidden";',840,'position="absolute";',840,'width="0px";B','.style.height="','0px";if(',6,15,'body.firstChild','){',6,15,'body.insertBefore(B,',6,15,851,785,6,15,'body','.appendChild(','B)}',722,'=1;this.','url=A;if(A','.substr(0,',6,'root.length',')==',6,'root){A=A.substr(',6,870,')}',6,702,'A);this.cancelTimer=setTimeout("',6,705,'cancelLoad','()",this.cancelTimeout);',436,661,'){B.src=',6,668,829,'(A,B',785,'if(A',761,'B.src=',6,517,'loader.html"}else{B.src=this.url}}},','endLoad',294,'A){if(this.cancelTimer){clearTimeout(this.cancelTimer);this.cancelTimer=null}',6,668,898,'();',6,714,'.Clear();if(A!="cancel"){',722,'=0;this.Process','()}},Start',342,'this.tmpQueue',766,'=[]},End',342,776,912,');',465,912,'},',882,294,'B,',900,'if(B==null){B','="Can\'t load file"}if(A==null){A=2000}',6,714,'.Set(B);setTimeout(\'',6,705,898,'("cancel")\',A)},Delay',294,'A){',722,'=1;setTimeout("',6,705,'endDelay','()",A)},',941,342,722,909,'()},','imageCount',':0,WaitForImage',294,'B){',722,866,948,'++;',436,'img==null',304,'img=[]}',369,'new Image',427,'img[this.img.length]=A;A.onload=function(){if(--',6,705,948,'==0){',6,705,941,'()}};A.onerror=A.onload;A.onabort=A.onload;A.src=B},Uncompress',294,'data){for(var k=0;k<data.length;k++){var d=data[k];var n=d.length;for(var i=0;i<n;i++){',780,'d[i])=="number"){d[i]=d[d[i]]}}data[k]=d.join("")}',1,770,'data.join(""))}};',6,'Post={',1,':null,Listener',294,'D){if(D.source!=',6,668,1,360,'var E=D.origin','.replace(/^file:\\/\\//,"");',369,15,600,990,'if(E==null||E==""){E','="localhost"}if(','A==null||A==""){A',996,'E!=A||!','D.data.substr(','0,6).match(/jsM(CP|LD|AL):/)){return }var B=',1000,'6,3).replace(/ /g,"");var C=',1000,'10);if(',6,'Post.Commands[B',']){(',6,1007,'])(C)}},Commands:{SCR',294,'message){',6,1,770,'message)},ERR',294,'A){',6,705,882,'(A,3000)},BGN',294,'A){',6,705,'Start()},END',294,'A){',700,6,705,'End()}',6,705,898,'()}},',829,294,'A,B',304,1,'=B.contentWindow;',0,'A',761,'return ',6,'root+',448,6,517,'loader-post.html?"+A},',898,342,'this.',1,'=null}};',6,714,'={',166,':null,message:null,text:null,clear:null,Init',342,0,6,15,'body||!',6,522,633,360,'if(',6,352,'stylesReady){','this.message','=',6,'Setup.DIV("','message",{visibility:"',170,'"},',6,'fixedDiv',785,1078,'=',6,1081,'message",{',179,'bottom:"',186,'",','backgroundColor',':"#E6E6E6',189,190,'",zIndex:102,color:"black",fontSize:"',194,'"},',6,1086,')}','this.text','=',6,15,'createTextNode','("");',1078,863,1107,');',1078,'.onmousedown=',6,733,'Cancel},Set',294,699,'if(this.clear){clearTimeout(this.clear',');this.clear=null}if(',6,522,633,'){',0,1107,304,'Init();',0,1107,605,'if(',6,333,'textNodeBug','){',1078,'.innerHTML','=B','}else{',1107,'.nodeValue','=B}','this.message.style.',841,'visible";',700,1149,'cursor="pointer','";',0,1149,'cursor){',1149,'cursor="hand"}',1078,'.title=" Cancel Processing of Math "}else{',1149,'cursor="";',1078,'.title=""}}else{if(B',868,'8)!="Loading "){',6,1,739,'=B}}},Clear',342,1124,')}this.clear=setTimeout("',6,714,'.doClear()",1000)},doClear',342,436,'clear',304,'clear=null;',6,1,739,'="";',436,'text){',1107,1147,'=""}if(',1078,'){',1149,841,170,'"}}},Blank',342,436,166,'||!',6,15,'body',360,'this.blank','=',6,1081,166,'",{position',':(',6,333,'msiePositionFixedBug','?"absolute":"fixed"),',180,'",bottom:"0px",right:"0px",zIndex:101,',1097,':"white"},',6,1086,');if(',6,333,'msieBlankBug){',1207,1143,'="&nbsp;";',1207,'.style.width="110%";',1207,847,'110%"}},UnBlank',342,436,166,'){',6,15,'body.removeChild(',1207,')}',1207,'=null}};',6,'Setup={',7,':[],DIV',294,'E,C,B){',926,'=',6,15,'body}var D=',6,15,21,'("div");D.id="jsMath_"+E;','for(var A in C){','D.style[A]=C[A]}',0,'B.hasChildNodes){B',863,'D',785,'B.insertBefore(D,','B.firstChild',')}return D},Script',294,699,436,7,'[B]){return }else{this.',7,'[B]=1}',0,'B.match("^([a-zA-Z]+:/?)?/")){B=',6,'root+B}',6,705,'Load(B,A)},Hidden',342,6,170,'=this.DIV("Hidden",{',179,'top:0,left:0,border:0,padding:0,margin:0});',6,'hiddenTop=',6,170,';return },Source',342,'if(',6,'Autoload','&&',6,1300,'.root){',6,'root=',6,1300,'.','root}else{',6,'root="";',369,6,15,'getElementsByTagName("','script");',700,684,'A.','length;B++){','var D=A[B].src;if(D&&D.match("(^|/|\\\\\\\\)',6,'js$")){',6,1306,'D.replace','(/',6,'js$/,"");break}}}}if(',6,'root.charAt(','0)=="\\\\"){',6,1306,6,'root.replace','(/\\\\/g,"/")}if(',6,1332,'0)=="/"){if(',6,1332,'1)!="/"){',6,'root="//"+',6,15,'location.host+',6,'root}',6,1306,6,15,563,'+',6,1310,0,6,643,'(/^[a-z]+:/i)){var D=','new String(',6,15,508,'=new RegExp("/[^/]*/\\\\.\\\\./");',6,1306,1327,'(new RegExp("[^/]*$"),"")+',6,'root;while(',6,643,'(C)){',6,1306,6,1337,'(C,"/")}}}',6,'Img.',1306,6,648,'fonts/";',6,166,'=',6,648,166,'.gif";this.Domain()},Domain',342,'try{',6,15,600,'}catch(D',360,'var C="";',369,6,15,600,';if(',6,643,'("://([^/]*)/")){C=RegExp.$1}C=C.replace(/:\\d+$/,"");if(C==""||C==A',360,'if(',38,'appName=="Microsoft Internet Explorer"&&',6,36,'=="mac"&&',38,'onLine&&',38,590,'&&',6,15,'all',360,'C=C.split(/\\./);A=A.split(/\\./);if(C.length<2||A.length<2||','C[C.length-','1',']!=A[A.length-','1]||',1429,'2',1431,'2]){this.','DomainWarning','();return }var E=',1429,'2]+"."+',1429,'1];for(var B=3;B<=C.length&&B<=A.',1321,'if(',1429,'B',1431,'B]){break}E=',1429,'B]+"."+E}',6,15,600,'=E;this.',695,'=1},',1437,342,23,'In order for jsMath to be able to load the additional components that it may need, the ',6,'js file must be ',7,' from a server in the same ',600,' as the page that contains it.  Because that is not the case for this page, the',25,'displayed here may not appear correctly.")},','EncodeFont',294,'C',8,'B=',6,'TeX[C];if(B','[0].c',591,360,459,'128;A++){var D=B[A];B[A]=D[3];if(B[A]==null){B[A]={}}B[A].w=D[0];B[A].h=D[1];if(D[2]!=null){B[A].d=D[2]}B[A].c=',6,'TeX.encoding[A]}},Fonts',342,684,6,'TeX.fam','.',1321,369,6,1486,'[B];if(A',304,1469,'(A)}}},TeXfont',294,'C',8,'B=',6,1475,'==null',360,369,6,'EmBoxFor(\'<span class="\'+C+\'">\'+B[65].c','+"</span>");B.hd=A.h;B.d=',6,1506,'+',6,386,'B.hd)+"</span>").h-B.hd;B.h=B.hd-B.d;if(C=="',130,'"){B.skewchar=','127','}else{if(','C=="',134,1515,'48}}},',415,342,459,6,1486,461,'if(',6,1486,'[A]){this.TeXfont(',6,1486,'[A])}}},Sizes',342,6,'TeXparams','=[];var B;var A;for(A=0;A<',6,46,461,6,1537,'[A]={}}for(B in ',6,'TeX){',780,6,'TeX[B])!="object"){for(A=0;A<',6,46,461,6,1537,'[A][B]=',6,46,'[A]*',6,'TeX[B]/100}}}},Styles',294,'A){',0,'A){A=',6,'styles;A[".typeset .scale"]={"font-size":',6,522,'scale+"%"};this.stylesReady=1}',6,708,828,'AddStyleSheet','",A);if(',6,333,'styleChangeDelay','){',6,708,6,'Script,"Delay",1)}},StyleString',294,'E',8,'A={},F;for(F in E){if(typeof E[F]==="string"){A[F]=E[F]}else{if(F',868,'1)==="@"){A[F]=','this.StyleString(','E[F])}else{if(E[F]!=null',8,'D=[];for(var C in E[F]){if(E[F][C]!=null){D[D.length]=C+": "+E[F][C]}}A[F]=D.join("; ")}}}}var B="";for(F in A){B+=F+" {"+A[F]+"}\\n"}return B},',1573,294,'D',8,'B=',6,15,1316,'head")[0];',369,1589,'D);if(',6,15,'createStyleSheet){B.insertAdjacentHTML("beforeEnd",\'<','span style="display:','none">x</span><style type="text/css">\'+A+"</style>")}else{var C=',6,15,21,'("style");C.type="text/css";C',863,6,15,1111,'(A));B',863,'C)}},Body',342,436,'inited',360,'this.inited=-','1;',6,352,'Hidden();',1625,'2;',6,333,1133,1625,'3;if(',6,522,166,'){',6,714,'.Blank()}',1625,'4;',6,352,'Styles();',1625,'5;',6,514,1133,1625,'6;',6,708,6,'Setup,"User","pre-font");',1625,'7;',6,708,6,'Font,"Check");if(',6,'Font.register.length){',6,708,6,'Font,"LoadRegistered")}this.inited=1},User',294,'A){if(',6,'Setup.UserEvent[A',']){(',6,1675,'])()}},UserEvent:{"pre-font":null,onload:null}};',6,'Update={',415,294,'D){for(var A in D){for(var B in D[A]){for(var C in D[A][B]){',6,'TeX[A][B][C]=D[A][B][C]}}}},TeXfontCodes',294,'C){',1262,684,'C[A].',1321,6,'TeX[A][B].c=C[A][B]}}}};',6,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,','separateSkips',':0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",msieSpaceFix:"",imgScale:1,renameOK:1,',1577,':0,delay:1,version:0,','TestSpanHeight',342,6,305,'=\'<span><','span style="\'+this.block','+\';height:2em;width:','1px"></span></span>\';var B=',6,'hidden.firstChild;',369,1270,';this.','spanHeightVaries','=(B',315,'>=A',315,'&&B',315,'>0);','this.spanHeightTooBig','=(B',315,'>A',315,');',6,305,'=""},','TestInlineBlock',342,'this.block="display',':-','moz-inline-box";','this.hasInlineBlock','=',6,'BBoxFor(\'<span style="\'+this.block','+\';width:10px;height:5px"></span>\').w>0;if','(',1740,'){',6,'styles[".typeset',' .',166,'"].display="-',1739,465,6,1749,' .spacer"].display',1145,1737,':',168,'";',1740,'=',6,1743,1744,'(!',1740,605,'this.block+=";overflow:',842,369,6,301,'("x").h;this.mozInlineBlockBug=',6,1743,'+";height:"+A+\'px;width:1px','"></span>x','<',1710,'+";height:"+A+"px;width:1px;vertical-align:-"+A+\'px',445,'h>2*A;this.widthAddsBorder=',6,1743,'+\';overflow:',170,';height:1px;width:10px',';border-left:','10px solid',445,'w>10;','this.msieBorderBug','=',6,1743,1779,1780,'\').h!=',6,1743,1779,1791,72,1780,'\').h;','this.blankWidthBug=',1795,'||',6,1743,1711,'0px',445,'h==0},','TestRenameOK',342,6,305,'="<span></span>";',369,6,1714,'A.setAttribute("name","','jsMath_test','");this.renameOK=(',6,15,'getElementsByName("',1827,'").length>0);',6,305,1734,'TestStyleChange',342,6,305,'=\'<span ID="',1827,'">x</span>\';var B=',6,1714,369,'B',312,';',6,352,1573,'({"#',1827,'":"font-size:200%"});this.',1577,'=(B',312,'==A);',6,305,1734,'VersionAtLeast',294,320,1364,'this.version',').split(".");','B=',1364,'B',1868,'if(B[1]==null){B[1]="0"}return A[0]>B[0]||(A[0]==B[0]&&A[1]>=B[1])},Init',342,6,27,'="unknown";this.',1735,427,1705,427,1818,427,1837,427,'MSIE',427,'Mozilla',427,'Opera',427,'OmniWeb',427,'Safari',427,'Konqueror();if(','this.allowAbsoluteDelim','){',6,'Box.DelimExtend=',6,'Box.DelimExtendAbsolute;',6,'Box.Layout=',6,'Box.LayoutAbsolute',1145,6,'Box.DelimExtend=',6,'Box.DelimExtendRelative;',6,'Box.Layout=',6,'Box.LayoutRelative}',436,1697,'){',6,'HTML.Place=',6,'HTML.','PlaceSeparateSkips',';',6,'Typeset.prototype.','Place=',6,1926,1923,'}},MSIE',342,436,1718,'&&!',1726,'){',6,27,'="MSIE";if(',6,36,'=="pc"){this.','IE7=(',1,636,591,');','this.quirks','=(',6,15,'compatMode=="BackCompat");this.msieStandard6=!',1949,'&&!this.IE7;',1897,866,1697,'=1',';this.buttonCheck=1;this.','msieBlankBug=1;this.','msieAccentBug',866,'msieRelativeClipBug','=1;this.msieDivWidthBug=1;this.',1216,866,'msieIntegralBug',866,'waitForImages',866,'msieAlphaBug','=!this.IE7;this.','alphaPrintBug',1973,1699,'="position:relative; ";this.',1701,'=" display:',168,';";this.msieTeXfontBaselineBug=!',1949,';',1795,'=',1809,'1;this.msieSpaceFix=\'<',1608,168,'"></span>\';',6,'Macro("','joinrel','","\\\\mathrel{\\\\','kern-5mu}"),',6,'Parser.prototype.mathchardef.','mapstocharOrig','=',6,1997,'mapstochar;',465,6,1997,2002,6,1992,'mapstochar","\\\\','rlap{\\\\',1998,'\\\\,}\\\\kern1mu"),',6,1749,' .arial"]={"font-family":"\'Arial unicode MS\'"};',0,'this.IE7||',1949,'){',6,'styles["#jsMath_message"].',844,465,6,2021,'width;',6,'styles["#jsMath_panel"].',844,465,6,2028,'width;',6,'styles["#jsMath_button"].','width="1px";',6,2035,844,465,6,2035,'width;',6,1086,'=',6,1081,1086,1212,':"absolute",zIndex:101});',6,1,'.attachEvent("','onscroll",',6,'Controls.MoveButton',');',6,1,2054,'onresize",',6,2057,');',6,2057,'()}',6,'styles["#jsMath_noFont .link"].','display="',168,'";',465,6,1749,1757,';',6,'styles[".tex2math_div','"]={};',6,'Add(',6,2080,'"],',6,'styles["div',57,'"]);',6,2080,'"].width="100%";',6,2080,'"].',2071,168,'";',6,1749,'"]["letter-spacing"]="0";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',2103,'!=',2105,304,'imgScale*=',2105,'/',2103,';',6,522,'alpha=0}this.',334,'="<i>x</i>";',6,'EmBoxFor=',6,324,1517,6,36,'=="mac"){this.msieAbsoluteBug',866,'msieButtonBug',1965,1961,'quirks=1;',6,'Setup.Script("jsMath-','msie-mac.js");',6,'Parser.prototype.macros.angle=["Replace","ord",\'<font face="Symbol">&#x8B;</font>\',"',54,'"];',6,2028,'width="42em";',6,522,'printwarn=0}}',6,1992,'not',1994,2010,'kern3mu/}}");',6,'Macro("angle","\\\\raise1.','84pt','{\\\\kern2.5mu\\\\rlap{\\\\scriptstyle/}\\\\','kern.5pt\\\\','rule{.4em}{-','1.5pt}{1.84pt}\\\\kern2.5mu}")}},',1888,342,'if(',6,170,'.ATTRIBUTE_NODE&&',6,1,'.directories){',6,27,'="',1888,'";if(',6,36,1943,1974,'=1}',1897,'=1;',6,2035,'cursor=',6,2070,1154,'",',6,1992,'not',1994,2010,'kern3mu/}}");',6,2154,'34pt',2156,2158,'1pt}{1.34pt}\\\\kern2.5mu}");if(',38,'vendor=="Firefox"){',1867,'=',38,'vendorSub',1517,38,'userAgent.match','(" Firefox/([0-9.]+)([a-z ]|$)")){',1867,'=RegExp.$1}}',436,1863,'("3.0")){this.mozImageSizeBug=1}}},',1892,342,'if(',38,'accentColorName){',6,27,'="',1892,'";','this.allowAbsolute','=',1740,';',1897,'=',2225,';this.valignBug=!',2225,1960,1140,'=1;',6,'noChangeGlobal=1;',0,1740,'){',6,2135,'old-browsers.js")}}},Opera',342,'if(',1726,'){',6,27,'="Opera";var B=',38,2208,'("Opera 7");',2225,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(B){jsMath.Setup.Script("jsMath-old-browsers.js")'],
  ['}','var A=','navigator.','appVersion.match','(/^(\\d+\\.\\d+)/);if(A){','this.version=A','[1]}else{this.vesion=0}this.operaAbsoluteWidthBug=this.operaLineHeightBug=(A[1]>=9.5)}},Safari',':function(){','if(',2,3,'(/Safari\\//)){','jsMath.','browser="','Safari";if(',2,'vendor.match(/Google/)){',12,13,'Chrome"}',1,2,'userAgent.match','("Safari/([0-9]+)");A=(A)?A[1]:400;',5,';',12,'TeX.axis_height+=0.05',';this.allowAbsoluteDelim=','A>=125;this.safariIFRAMEbug=A>=312&&A<412;this.safariButtonBug=A<412;this.safariImgBug=1;this.textNodeBug=1;this.buttonCheck=A<500;this.styleChangeDelay=1}},','Konqueror',7,'if(',2,'product&&',2,'product.match("',30,'")){',12,13,30,'";this.allowAbsolute=0',28,'0;if(',2,22,'(/',30,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){this.separateSkips=1;this.valignBug=1;',12,'Setup.Script("jsMath-','old-browsers.js")}}',12,'Add(',12,'styles,{".typeset .cmr10','":"font-family: jsMath-','cmr10',', jsMath ','cmr10, serif','",".typeset .','cmbx10',57,62,59,62,', jsMath-cmr10, jsMath cmr10",".typeset .','cmti10',57,68,59,68,67,'cmmi10',57,74,59,74,61,'cmsy10',57,80,59,80,61,'cmex10',57,'cmex10, jsMath cmex10','"});',12,'Font.testFont','="jsMath','-',88,'"}}};',12,'Font={testFont:"jsMath-cmex10",','fallback',':"symbol",register:[],message:"<b>No jsMath TeX fonts found</b> -- using',' image fonts instead','.<br/>\\nThese',' may be slow and might not print well.<br/>\\nUse the jsMath control panel to get additional information','.",','extra_message',':\'Extra TeX fonts not found: <b><span id="jsMath_ExtraFonts"></span></b><br/>Using',100,'.  This',102,'.\',','print_message',':"To print higher-resolution math symbols, click the<br/>\\n<b>Hi-Res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message',':"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\nusing the <B>Options</B> pane of',112,'Test1',':function(','C',',F,D,E){if(F==null){F=124}if(D==null){D=2}if(E==null){E=""}var B=jsMath.BBoxFor(\'<span style="font-family: \'+E+C+\', serif">\'+jsMath.TeX[C][F].c+"</span>");var A=jsMath.BBoxFor(\'<span style="font-family: serif">\'+jsMath.TeX[C][F].c+"</span>");return','(B.w>D*A.w&&B.h!=0)},Test2',117,'C',119,'(A.w>D*B.w&&B.h!=0)},CheckTeX',7,1,12,'BBoxFor(\'<span style="font-family',': \'+',12,91,'+\', serif">\'+',12,'TeX.cmex10[1','].c+"</span>");',12,'nofonts=((A.w*3>A.h||A.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(!',12,'nofonts){','return }if(',12,'browser!="Mozilla"||(',12,'platform','=="mac"&&(!',12,'Browser.VersionAtLeast(','1.5)||',12,148,'3)))||(',12,145,'!="mac"&&!',12,148,'3))){A=',12,128,': CMEX10, serif">\'+',12,'TeX.cmex10[1',135,12,137,'"));if(!',12,140,12,51,'BaKoMa-fonts.js")}}},Check',7,1,12,'Controls.','cookie;this.CheckTeX();if(',12,140,'if(A.autofont','||A','.font=="tex"){','A.font=this.',98,';if(A.warn){',12,'nofontMessage=1;A.warn=0;',12,176,'SetCookie(0);if','(',12,'window.NoFontMessage','){',12,193,'()}else{','this.Message(this.','message)}}}}else{',180,'){A.font="tex"}if(A',182,'return }}if(',12,'noImgFonts){','A.font="unicode"}if(A','.font=="unicode','"){',12,51,98,'-"+',12,145,'+".js");',12,'Box.TeXnonfallback=',12,'Box.TeX',';',12,219,'=',12,'Box.TeXfallback;return }','if(!A.print&&A.printwarn){this.','PrintMessage','((',12,'Browser.','alphaPrintBug&&',12,176,'cookie.alpha)?this.',110,'+this.',113,':this.',110,')}if(',12,230,'waitForImages){',12,'Script.','Push(',12,'Script,"WaitForImage",',12,'blank)}if(A.font=="symbol"){',12,51,98,'-symbols.js");',12,'Box.TeXnonfallback=',12,219,';',12,219,'=',12,225,12,'Img.SetFont','({cmr10',':["all"],',74,268,80,268,'cmex10',268,62,268,68,':["all"]});',12,'Img.LoadFont','("cm-fonts")},Message',117,'A){if(',12,'Element("Warning',38,'return }var ','B=',12,'Setup.DIV("','Warning','",{});B.innerHTML=\'<center><table><tr><td><div ','id="jsMath_noFont"><div ','class="message">\'+A','+\'<div style="text-align:left"><span style="float:left; margin: 8px 0px 0px 20px"><span onclick="',12,176,'Panel()" ','title=" Open ','the ','jsMath Control Panel',' " class="link">',301,'</span></span','><span style="margin: 8px 20px 0px 0px; float:right"><span onclick="',12,'Font.','HideMessage','()" title=" Remove this font warning message',302,'Hide this Message',304,'></div><div style="height:6px"></div><br clear="all"/></div></','div><div style="width:22em; height:1px"></div></td></tr></table></center><hr/>\'},',308,7,1,12,285,'");if(A','){A.style.display="none"}},',227,117,283,12,'Element("','PrintWarning',38,287,'B=',12,290,327,292,294,'+\'</',314,'Register',117,'H,B){if(typeof (H)=="string"){H={name:H}}if(!',12,'Setup.inited','&&!B){','this.register','[',344,'.length]=H;',287,'I=H.name;',1,'I.replace(/10$/,"");var F=',12,'TeX.fam.length;if(H.prefix==null){H.prefix=""}if(!H.style){H.style="font-family: "+H.prefix+I+", serif"}if(!H.styles){H.styles={}}if(!H.macros){H.macros={}}',12,'TeX.fam[F]=I;',12,'TeX.famName[I]=F;H.macros[A]=["HandleFont",F];',12,54,12,'Parser.prototype.macros,H.macros);H.styles[".typeset ."+I]=H.style;',12,'Setup.Styles(H.styles);if(',12,'initialized){',12,245,'Push(',12,'Setup,"TeXfont",I)}var C=',12,176,'cookie;var E=!',12,'nofonts&&H.test(I,H.testChar,H.testFactor,H.prefix);if(E&&C',182,'if(H.tex){H.tex(I,F,H)}return }if(!E&&C.warn&&C.font=="tex"&&!',12,140,'if(!C.fonts.match("/"+I+"/")){C.fonts+=I+"/";',12,176,190,'(!',12,285,38,198,104,')}var G=',12,326,'ExtraFonts");if(G){if(G','.innerHTML','!=""){G',394,'+=","}G',394,'+=" "+H.prefix+I}}}if(C',207,'"||',12,205,'if(H.',98,'){H.',98,'(I,F,H)}',287,'D={};if(C.font=="symbol"&&H.symbol!=null){D[I]=H.symbol(I,F,H)}else{D[I]=["all"]}',12,266,'(D);',12,280,'(I);if(',12,'initialized){',12,245,'Push(',12,'Img,"Scale");',12,245,'Push(',12,'Img,"UpdateFonts")}},LoadRegistered',7,1,'0;while(A<',344,'.length){this.Register(',344,'[A++],1)}',344,'=[]},Load',117,'A){',12,'Setup.Script(this.URL(A))},URL',117,'A){','return ',12,'Img.root+A+"/def.js"}};',12,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,fonts:"/",printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',7,'this.panel=',12,290,'panel",{display:"none"},',12,'fixedDiv);','if(!',12,230,'msieButtonBug){this.Button',197,'setTimeout("',12,176,'Button()",500)}},Panel',7,12,'Translate.Cancel();if(this.loaded){this.Main',197,12,245,'delayedLoad(',12,'root+"jsMath-controls.html")}},Button',7,1,12,290,'button",{},',12,457,'A.',299,301,' ";A',394,'=\'<span onclick="',12,176,'Panel()">jsMath</span>\';if(!',12,'Global.','isLocal&&!',12,'noShowGlobal){A',394,'+=\'<span id="jsMath_global" ',299,'jsMath Global Panel " onclick="',12,493,'Show(1)">Global&nbsp;</span>\'}if(A.offsetWidth<30){A.style.width="auto"}if(!','this.cookie','.button',321,'MoveButton',7,12,'fixedDiv.style.','left=','document.body.','scrollLeft+"px";',12,510,'top=',512,'scrollTop+',512,'clientHeight+"px";',12,510,'width=',512,'clientWidth+"px"},GetCookie',7,'if(','this.defaults','==null){',528,'={}}',12,54,528,',',504,');this.userSet={};var C=',12,'document.cookie',';if(',12,'window.location','.protocol.match(this.',449,')){C=this.','localGetCookie','();','this.isLocalCookie','=1}if(','C.match(/jsMath','=([^;]+)/)){var D=unescape(RegExp.$1).split(/,/);for(var B=0;B<D.length;B++){',1,'D[B].match(/(.*):(.*)/);if(A[2].match(/^\\d+$/)){A[2]=1*A[2]}',504,'[A[1]]=A[2];this.userSet[A[1]]=1}}},',546,7,444,12,542,'.search.substr(1)},SetCookie',117,'F){var B=[];for(var E in ',504,'){if(',528,'[E]==null||',504,'[E]!=',528,'[E]){B[B.length]=E+":"+',504,'[E]}}B=B.join(",");if(',548,'){if(F==2){return"','jsMath="+escape(B)}','this.','localSetCookie','(B,F)}else{B=escape(B);if(B==""){F=0}if(','this.cookiePath','){B+="; path="+',580,'}if(','this.cookieDomain','){B+="; domain="+',584,'}if(',504,'.keep!="0D"){var A={D',':1000*60*60*24',',W',590,'*7,M',590,'*30,Y',590,'*365};var D=new Date;D.setTime(D.getTime()+',504,'.keep.substr(','0,1)*A[',504,599,'1,1)]);B+="; expires="+D.toGMTString()}if(B!=""){',12,539,92,'="+B;var C=',12,539,';if(F&&!',550,'=/)){alert("Cookies must be enabled in order to save jsMath options")}}}',444,'null},',578,117,'B,C){if(!C){return }',1,'String(',12,542,').replace(/\\?.*/,"");if(B!=""){A+="?',576,'if(A!=',12,542,'.href){this.Reload(A)}},Reload',117,'A){if(!this.loaded){return }this.loaded=0;',12,342,'=-100;',12,493,'ClearCache();if(A){',12,542,'.replace(A)}else{',12,542,'.reload()}}};',12,'Click={CheckClick',117,'A){if(!A){A=',12,'window.event}if','(A.altKey){',12,176,'Panel()}},CheckDblClick',117,'B){if(!B){B=',12,647,'(!',12,'Click.DblClick){',12,'Extension.Require("double-click",1);',1,'B;B={};for(var C in A){B[C]=A[C]}}',12,245,'Push(',12,'Click,"DblClick",[B,this.alt])}};',12,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","',74,'","',80,'","cmex10","',68,'","","',62,'",""],famName:{cmr10:0,',74,':1,',80,':2,cmex10:3,',68,':4,',62,':6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',686,'778',686,'694',686,'667',686,'75',686,'722',686,'778',686,'722',686,'778',686,'722',686,'583',',0.694,0,{ic:0.0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.556',',0.694],[0.','556',710,'833',710,'833',710,'278',',0.431],[0.','306',',0.431,0.194],[0.','5',710,'5',710,'5,0.628],[0.5',710,'5,0.568],[0.75',710,'444,0,0.17],[0.5',710,'722',718,'778',718,'5,0.528,0.0972],[0.903,0.683],[1.01',686,'778,0.732,0.0486],[0.278',',0.431,0,{','krn:{"108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{','lig:{"96":','60}}],[0.5',710,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',747,'778',710,'278',740,'krn:{"63":0.111,"33":0.111},lig:{"39":34}}],[0.389',',0.75,0.25],[0.','389',755,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',738,'lig:{"45":','123}}],[',760,'],[0.5',755,'5,0.644','],[0.5,0.644],[0.5,0.','644',770,'644',770,'644',770,'644],[0.5,0.644],[0.278',718,'278',720,'278,0.5',761,'778',',0.367,-0.133],[','0.472,0.5',761,'472',740,741,'62}}],[0.778',710,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',795,'79',795,'71',795,'85',795,'81',795,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',686,'722',686,'764',793,'88',795,'87',795,'65',795,'86',795,'89":-','0.0278}}],[0.','681',686,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',686,'75',686,'361',793,'73":',822,'514',686,'778',793,'79',795,'67',795,'71',795,'81":-',822,'625',793,806,'917',686,'75',686,'778',793,'88',795,'87',795,'65',795,'86',795,'89":-',822,'681',793,'65','":-0.0833,"','111',795,'101',795,'97',795,'46',870,'44":-0.','0833}}],[0.','778,0.683',761,'736',793,'116',795,'67',795,'79',795,'71',795,'85',795,'81',795,806,'556',686,'722',793,'121',795,'101',870,'111',870,'114',870,'97',870,'65',870,'117":-0.',880,'75',686,'75',',0.683,0,{ic:0.','0139,',827,'1.03',919,'0139,',827,'0.75',793,'79',795,'67',795,'71',795,'81":-',822,'75',919,'025,krn:{"101',870,'111',870,'114',870,'97',870,'65',870,914,880,'611',686,'278',755,'5',710,'278',755,'5',710,'278,0.668],[0.','278',740,741,'92}}],[0.5',738,'krn:{"118',795,'106":0.0556,"121',795,'119":-',822,'556,0.694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',738,'krn:{"104',795,'107":-',822,'556',710,'444',718,'306',708,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',822,'556',740,'krn:{"116',795,'117',795,'98',795,'121',795,'118',795,'119":-',822,960,'306,0.668',761,'528',740,'krn:{"97','":-0.0556,"','101',795,'97',795,'111',795,'99":-',822,'278',710,'833',738,'krn:{"116',795,'117',795,'98',795,'121',795,'118',795,'119":-',822,'556',738,'krn:{"116',795,'117',795,'98',795,'121',795,'118',795,'119":-',822,'5,0.431,0',973,'556,0.','431,0.194',973,'528',720,'392',718,'394',718,'389,0.615,0,{krn:{"121',795,'119":-',822,'556',738,'krn:{"119":-',822,'528',',0.431,0,{ic:0.',989,'97',1012,'101',795,'97',795,'111',795,'99":-',822,'722',1071,989,'101',795,'97',795,'111',795,'99":-',822,'528',718,'528',987,'ic:0.',989,'111',795,'101',795,'97',795,'46',870,'44":-0.',880,'444',718,'5',1071,'0278,',764,'124}}],[1',1071,'0278}],[0.','5',710,'5,0.668],[0.5,0.668]],',74,':[[0.615',919,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',880,'833',793,'127":0.167}}],[0.','763',919,1114,'krn:{"127":0.0833}}],[0.','694',793,1130,'742',919,'0757,',1134,'831',919,'0812,krn:{"61',1012,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',919,'0576,',1134,'583',919,'139',1126,1147,'667',826,1134,'612',919,'11,krn:{"61',1012,1146,1147,'772',919,'0502,',1134,'64',1071,'0037,','krn:{"127":',822,'566',',0.694,0.194,{ic:0.','0528,',1134,'518',987,'ic:0.0556','}],[0.444',740,'ic:0.0378,krn:{"',1146,1147,'406',738,'krn:{"127":0.0556}}],[0.','438',1176,'0738,',1134,'497',987,'ic:0.0359',',',1189,'469',740,'ic:0.',1114,1134,'354',738,1189,'576',718,'583',710,'603',987,1173,822,'494',1071,'0637,krn:{"',1146,'0278}}],[0.','438',1176,'046,',1173,'0.111}}],[0.','57',1071,'0359}],[0.','517',987,1134,'571',1071,'0359,krn:{"59',1012,'58":-0.',1147,'437',1071,'113,krn:{"',1146,1219,'54',1071,'0359,',1173,822,'596,0.694,0.194,{',1134,'626',987,1189,'651',1176,'0359,',1173,1224,'622',1071,1227,'466',738,1134,'591',740,1134,'828',1071,1118,'517',987,1134,'363,0.431,0.0972,{ic:0.0799,',1134,'654',987,1173,'0.0833}}],[1',784,'1',784,'1',784,'1',784,'0.278',',0.464,-0.0363],[','0.278',1286,'0.5,0.465,-0.0347],[',1289,'0.5',718,'5',718,'5',718,'5',720,'5',720,'5,0.',1054,770,1054,770,'431',761,'278,0.106],[',760,761,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',1012,'65',1012,'77',1012,'78',1012,'89":0.0556,"90":-0.',1147,'778',1312,1289,'0.531',740,1181,',',1134,'75',793,'127":','0.','139}}],[0.','759',919,'0502,',1134,'715',919,'0715,krn:{"61',795,1146,880,'828',919,1114,1189,'738',919,'0576,',1134,'643',919,'139',1126,880,'786',826,1134,'831',919,'0812,krn:{"61',1012,1146,1147,'44',919,'0785,',1173,1224,'555',919,'0962',1126,'167}}],[0.','849',919,'0715,krn:{"61',1012,1146,1147,'681',793,1333,822,'97',919,'109,krn:{"','61',1012,1146,880,'803',919,1390,'61',870,'61',795,1146,880,'763',919,1114,1134,'642',919,'139',1126,880,'791,0.683,0.194,{',1134,'759',919,'00773,',1134,'613',919,'0576,krn:{"61',1012,1146,880,'584',919,'139,krn:{"61',795,1146,880,'683',919,1390,'59":-0.111,"',1235,'111,"61',1012,1333,822,'583',919,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',919,'139',1443,'828',919,'0785,krn:{"61',870,'61',795,1146,880,'581',919,'222',1443,'683',919,'0715,krn:{"61',1012,1146,880,'389,0.75],[0.389',745,'0.389',745,'1,0.358,-0.142],[',1470,'0.417',740,1173,1224,'529',718,'429',710,'433',738,1189,'52',740,'krn:{"89":0.0556,"90',1012,'106":-0.111,"102":-0.167,"',1130,'466',738,1189,'49',1176,'108,krn:{"',1146,1377,'477',987,1196,',',1173,822,'576',740,'krn:{"127":-',822,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',1012,1235,1147,'521',740,'ic:0.0315}],[0.298',740,'ic:0.0197,',1134,'878',718,'6',718,'485',738,1189,'503',987,1134,'446',987,1196,',',1134,'451',1071,1114,'krn:{"',1146,1147,'469',738,1189,'361,0.615,0,{',1134,'572',738,1173,822,'485',1071,'0359,',1173,822,'716',1071,'0269,',1134,'572',738,1173,822,'49',987,1196,',',1189,'465',1071,'044,',1189,'322',738,1173,822,'384',987,1134,'636',987,1173,1224,'5,0.714,0,{ic:0.154}],[0.278',740,'ic:0.399}]],',80,':[[',759,'0.278,0.444,-0.0556],[',759,1289,759,'0.5,0.444,-0.0556],[',759,759,759,759,759,759,759,'1',745,1590,1590,'0.778',1286,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1605,1605,1605,1605,1605,'],[0.778',784,'0.778,0.483,-0.0169],[0.778',1312,'0.778',1312,'1',1312,'1',1312,'0.778',1312,'0.778',1312,'1',784,'1',784,'0.5',745,'0.5',745,'1',784,'1',745,'1',745,'0.778',1286,'1',784,'1',784,'0.611',745,'0.611',745,'1',784,'1',745,'1',745,'0.778',718,'275,0.556],[1',718,'667',1312,'0.667',1312,'0.889',745,'0.889',745,'0',745,'0',784,'0.556',710,'556',710,'667',718,'5',747,'722',710,'722',710,'778',710,'778',710,'611',710,'798',793,'48":0.','194}}],[0.657',919,'0304',',krn:{"48":0.',1335,'527',919,'0583',1695,1335,'771',919,'0278',1695,880,'528',919,'0894',1695,'111}}],[0.','719',919,'0993',1695,1711,'595',',0.683,0.0972,{ic:0.','0593',1695,1711,'845',919,'00965',1695,1711,'545',919,'0738,krn:{"48":',822,'678',1718,'185',1695,1377,'762',919,'0144',1695,1147,'69',793,1691,'139}}],[1.2',793,1691,1335,'82',919,'147',1695,880,'796',919,1704,1695,1711,'696',919,'0822',1695,880,'817,0.683,0.0972,{krn:{"48":',1224,'848',793,1691,880,'606',919,'075',1695,1335,'545',919,'254,krn:{"48":',822,'626',919,'0993',1695,880,'613',919,'0822,krn:{"48":',822,'988',919,'0822',1695,880,'713',919,'146',1695,1335,'668',1718,'0822',1695,880,'725',919,'0794',1695,1335,'667,0.556],[0.',1807,1807,1807,1807,'611',710,'611',710,'444',755,'444',755,'444',755,'444',755,'5',755,'5',755,'389',755,'389',755,'278',755,'5',755,'5',755,'611',755,'5',755,'278',745,'0.833,0.04,0.96],[0.75',686,'833',686,'417',1176,'111}],[0.',1807,'667,0.556',1605,1605,'],[0.444',745,'0.444',745,'0.444',745,'0.611',745,'0.778,0.694,0.13','],[',1863,'],[',1863,'],[',1863,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1871,'17}],[0.417',1871,'104}],[0.417',1871,'105','}],[0.472,0.04,1.16,{n:','106',1879,'107',1879,'108',1879,'109}],[0.583',1871,'110}],[0.583',1871,'111',1879,'68',1879,'69}],[0.333',',0,0.6,{delim:{rep:','12}}],[0.556',1895,'13}}],[0.578',1871,'46}],[0.578',1871,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1903,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1907,'33}],[0.528',1907,'34}],[0.528',1907,'35}],[0.583',1907,'36}],[0.583',1907,'37}],[0.583',1907,'38}],[0.583',1907,'39}],[0.75',1907,'40}],[0.75',1907,'41}],[0.75',1907,'42}],[0.75',1907,'43}],[1.04',1907,'44}],[1.04',1907,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1935,'49}],[0.583',1935,'50}],[0.583',1935,'51}],[0.639',1935,'52}],[0.639',1935,'53}],[0.639',1935,'54}],[0.639',1935,'55}],[0.806',1935,'56}],[0.806',1935,'57}],[0.806',',0.04,2.96],[','0.806',1955,'1.28',1955,'1.28',1955,'0.811',1903,'30}],[0.811',1903,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1967,'49,bot:65,rep:67}}],[0.667',1967,'50,bot:52,rep:54}}],[0.667',1967,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1975,'53,rep:55','}}],[0.667,0,0.6,{delim:{top:','50,rep:54',1979,'51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1983,'57,mid:61,bot:59,rep:62',1983,'56,bot:58,rep:62',1983,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1991,'119}}],[0.889,0,0.3,{delim:{rep:62',1979,'120,bot:121,rep:63}}],[0.875',1967,'56,bot:59,rep:62}}],[0.875',1967,'57,bot:58,rep:62}}],[0.875',1895,'66}}],[0.875',1895,'67}}],[0.611',1903,'28}],[0.611',1903,'29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',2016,',1,{n:79}],[1.51',2011,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',2012,'90',2009,'91',2009,'92',2009,'93',2009,'94',2009,'95}],[1.44',2011,'1.28',2011,2014,2016,2016,2016,2016,'.1,1.5],[0.944,0,1,{n:97}],[1.28',2011,'0.556,0.722'],
  [',0,{n:99','}],[1,0.','75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',1,2,'103',4,'472',',0.04,1.76,{n:','20}],[0.472',11,'21}],[0.528',11,'22}],[0.528',11,'23}],[0.528',11,'24}],[0.528',11,'25}],[0.667',11,'26}],[0.667',11,'27',1,'04,1.16,{n:113}],[1',11,'114',1,'04,2.36,{n:115',1,'04,2.96,{n:116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',',0,0.6,{delim:{','top:126,','bot:127,rep:119','}}],[0.667',35,'top:120,rep:63}}],[0.667',35,'bot:121,rep:63}}],[0','.45,0.12],[0',43,43,43,'.778',35,36,'rep:119}}],[0.778',35,37,'}}]],cmti10:[[0.627',',0.683,0,{ic:0.','133}],[0.818,0.683],[0.767',54,'094}],[0.','692,0.683],[0.664',54,'153}],[0.743',54,'164}],[0.','716',54,'12}],[0.','767',54,'111}],[0.716',54,'0599}],[0.767',54,'111}],[0.716',54,'103}],[0.','613',',0.694',',0.194,{ic:0.','212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','14,"108":15}}],[0.','562',76,77,74,'588',76,77,74,'882',76,77,74,'894',76,77,74,'307',',0.431,0,{ic:0.','0767}],[0.','332,0.431',77,'0374}],[0.511',',0.694],[0.','511',',0.694,0,{ic:0.','0969','}],[0.511,0.','628',',0,{ic:0.','083}],[0.511',104,'108',106,'562',108,74,'831',102,'46,0,0.17],[0.537',76,77,'105}],[0.','716',97,'0751','}],[0.716',97,124,106,'528,0.0972,{ic:0.0919}],[0.883',54,65,'985',54,65,'767,0.732,0.0486,{ic:0.',57,'256,0.431,0,{krn:{"108":-0.256,"76":-0.321}}],[0.307',104,'124,lig:{"96":','60}}],[0.','514',104,'0696}],[0.818',76,77,'0662}],[0.769',102,'818',',0.75,0.0556',',{ic:0.136}],[0.','767',104,'0969}],[0.307',104,'124',',krn:{"','63":0.102,"33":0.102','},lig:{"39":34}}],[0.','409',',0.75,0.25,{ic:0.','162}],[0.409',160,'0369',106,'75',108,'149}],[0.767,0.562,0.0567,{ic:0.0369','}],[0.307,0.','106',',0.194],[0.','358',97,'0283,','lig:{"45":123}}],[0.','307,0.106],[0.511',160,'162',106,'644,0',',{ic:0.136}],[0.511,0.644,0',180,180,180,'.194',180,180,180,184,180,180,150,'307',97,'0582',168,'431',77,'0582',168,'5',77,'0756}],[0.767,0.367,-0.133,{ic:0.0662',106,'5',170,'511',104,'122,lig:{"96":62}}],[0.767',104,'096}],[0.743,0.683,0,{','krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',213,'86','":-0.102,"','87',217,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',54,74,'716',54,'145}],[0.','755',54,'094',156,'88','":-0.0256,"','87',232,'65',232,'86',232,'89','":-0.0256}}],[0.','678',54,65,'653',54,'133',156,'111',213,'101',213,'117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',217,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',54,'0872}],[0.743',54,62,'386',54,'158}],[0.525',54,'14}],[0.769',54,'145',156,256,'627,0.683,0,{krn:{"84',213,'89',213,'86',217,'87',217,220,'897',54,62,'743',54,62,'767',54,'094',156,'88',232,'87',232,'65',232,'86',232,'89',240,'678',54,'103',156,'65":-0.0767}}],[0.','767,0.683',77,57,'729',54,'0387,',211,'0.0256,"84',213,'89',213,'86',217,'87',217,220,'562',54,65,'716',54,'133',156,'121',213,'101',213,'111',253,'117',213,304,'743',54,62,'743',54,'184',156,'111',213,'101',213,'117',253,'65',217,256,'999',54,'184',156,304,'743',54,'158',156,256,'743',54,'194',156,'101',213,'111',253,'117',213,304,'613',54,226,'307',160,'188}],[0.514',104,'169}],[0.307',160,121,'511',104,'0665',168,'668',108,'118}],[0.307',104,139,'92}}],[0.','511',97,98,'46',104,'0631',156,220,'46',97,'0565',156,220,'511',104,'103',',krn:{"108":0.0511}}],[0.','46',97,124,156,220,'307',76,77,78,'12,"102":11,"108":13}}],[0.','46,0.431',77,'0885}],[0.','511',104,98,'307,0.655',108,'102',168,'655',77,226,'46',104,'108}],[0.','256',104,'103',410,'818',97,98,'562',97,'0767',156,'39":-0.102}}],[0.511',97,'0631',156,220,'511,0.431',77,'0631',156,220,'46,0.431',77,423,'422',97,'108',156,220,'409',97,'0821}],[0.332,0.615',108,'0949}],[0.537',97,98,'46',97,436,'664',97,'108',410,'464',97,65,'486,0.431',77,423,'409',97,'123}],[0.511',97,'0921',',lig:{"45":124}}],[1.','02',97,'0921}],[0.511',104,'122',106,'668',108,'116',106,'668',108,'105}]],cmbx10:[[0.692',',0.686],[0.','958',505,'894',505,'806',505,'767',505,'9',505,'831',505,'894',505,'831',505,'894',505,'831',505,'671',104,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":',79,'639',102,'639',102,'958',102,'958',102,'319',',0.444],[0.','351,0.444',170,'575',102,'575',102,'575,0.','632],[0.575',102,546,'596],[0.869',102,'511,0,0.17],[0.597',102,'831',539,'894',539,546,'542,0.0972],[1.04,0.686],[1.17',505,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":',140,'603',102,'958',76,170,'575',149,'],[0.958',149,'],[0.894',102,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128',158,'447',',0.75,0.25],[0.','447',582,546,'75],[0.894,0.633,0.133],[0.','319,0.156',170,'383,0.444,0,{',174,587,'],[0.575',582,546,'644],[','0.575,0.644],[0.575,0.644],[',596,596,596,'0.',546,'644],[0.319',539,'319,0.444',170,'35,0.5',170,'894,0.391,-0.109],[0.543,0.5',170,'543',564,'62}}],[0.894',102,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',617,'79',617,'71',617,'85',617,'81',617,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',505,'831',505,'882',615,'88',617,'87',617,'65',617,'86',617,'89','":-0.0319}}],[0.','756',505,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',505,'9',505,'436',615,'73','":0.0319}}],[0.','594',505,'901',615,'79',617,'67',617,'71',617,'81',644,'692',615,628,'1.09',505,'9',505,'864',615,'88',617,'87',617,'65',617,'86',617,'89',644,'786',615,'65":-0.0958,"111',617,'101',617,'97',617,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',170,'862',615,'116',617,'67',617,'79',617,'71',617,'85',617,'81',617,628,'0.639',505,'8',615,'121',617,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',505,'869,0.686',108,'016,',648,'1.19,0.686',108,'016,',648,'0.869',615,'79',617,'67',617,'71',617,'81',644,'869,0.686',108,'0287',156,720,'703',505,'319',582,'603',102,'319',582,'575',102,'319',102,'319',564,393,'559',562,'118',617,'106":0.0639,"121',617,'119',644,'639',76,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',562,'104',617,'107',644,'639',102,'527',539,'351',104,528,420,546,'444',77,'016,krn:{"','106',656,'639',578,'116',617,'117',617,'98',617,'121',617,'118',617,'119',644,'319',102,'351',76,170,'607',578,'97":-0.0639,"101',617,'97',617,'111',617,'99',644,'319',102,'958',562,'116',617,'117',617,'98',617,'121',617,'118',617,'119',644,'639',562,'116',617,'117',617,'98',617,'121',617,'118',617,'119',644,546,'444,0',772,'639,0.444,0',184,772,'607,0.444',170,'474',539,'454',539,'447,0.635,0,{krn:{"121',617,'119',644,'639',562,'119',644,858,108,790,'97":-0.0639,"101',617,'97',617,'111',617,'99',644,'831,0.444',108,790,'101',617,'97',617,'111',617,'99',644,'607',539,858,77,790,'111',617,'101',617,'97',617,696,'511',539,546,'444',108,'0319',491,'15,0.444',108,'0319}],[0.575',102,'575',102,'575',76,']]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','B){for(var A in B){if(!','this.update[A',']){',926,']=[]}',926,']=',926,'].concat(B[A])}},AddFont',924,'A,B){if(!',922,'[A]){',922,'[A]={}}jsMath.Add(',922,'[A],B)},UpdateFonts',':function(){','var D=this.update;','if(!this.loaded){','return }for(var A in D){for(var B=0;B<D[A].length;B++){var C=D[A][B];if(C=="all"){for(C in ','jsMath.TeX[','A]){',946,'A][C].img','={}}}else{',946,949,'={}}}}this.update={}},BestSize',942,'var B=jsMath.em*this.factor;var A=','this.w[this.fonts[','0]];for(var C=1;C<this.fonts.length;C++){if(B<(',956,'C]]+2*A)/3){return C-1}A=',956,'C]]}return C-1},Scale',942,944,'return }this.best=this.BestSize();this.em=',922,'.w[this.fonts[this.best]];','this.scale','=(jsMath.em/this.em);','if(Math.abs(',967,'-1)<0.12){',967,'=1}},URL',924,'A,B,E){var D=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";','if(E==null','){E="def.js"}else{E="char"+E+".png"}if(B!=""){B+="/"}','return this.','root+A+D+B+E},LoadFont',924,'A){',944,'this.Init()}jsMath.Setup.Script(this.URL(A,""))},Init',942,'if(',976,'print||',976,'stayhires','){',976,'print=',976,991,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',998,'SetCookie(0)}if(','jsMath.Browser.','alphaPrintBug){',976,'alpha=0}}var B="0123456789ABCDEF";this.HexCode=[];for(var C=0;C<128;C++){var D=Math.floor(C/16);var A=C-16*D;this.HexCode[C]=B.charAt(D)+B.charAt(A)}this.loaded=1}};jsMath.HTML={Em',924,'A){var C=','5;if(A<0){C++}',969,'A)<0.000001){A=0}var B=String(A);B=B.replace(/(\\.\\d\\d\\d).+/,"$1");return B+"em"},Spacer',924,'A){if(A==0){return""}return ',1002,'msieSpaceFix+\'<','span class="spacer" style="margin-','left:\'+this.Em(','A)+\'"></span>\'},Blank',924,'B,E,G,F){var A="";var D="";if(F){D+="border-left',':"+this.Em(','B)+" solid;";if(',1002,'widthAddsBorder){B=0}}if(B==0){if(',1002,'blankWidthBug){if(',1002,'quirks','){D+="width:1px',';";A=\'<',1015,'right:-1px"></span>\'}else{if(!F',1028,';margin-right:-1px;"}}}}else{D+="width',1020,'B)+";"}if(G==null){G=0}if(E){var C=this.Em(E+G);if(F&&E*jsMath.em<=1.5){C="1.5px";E=1.5/jsMath.em}D+="height:"+C+";"}if(',1002,'mozInlineBlockBug){G=-E}if(',1002,'msieBorderBug&&!F){G-=jsMath.d}if(G){D+="','vertical-align:"+','this.Em(-G)}return A+\'<span class="blank" ','style="\'+','D+\'"></span>\'},Rule',924,'A,B){if(B==null){B','=jsMath.TeX.default_rule_thickness}',980,'Blank(A,B,0,1)},Class',924,'A,B){return\'<span class="\'+A','+\'">\'+B+"</span','>"},Place',924,'B,A,D){',969,'A)<0.0001){A=0}',969,'D)<0.0001){D=0}if(A||D){var C=\'<','span style="position',': relative',';\';if(A){C+=" margin-left',1020,'A)+";"}if(D){C+=" top:"+this.Em(-D)+";"}B=C',1051,'>"}return B},PlaceSeparateSkips',924,'E',',G,F,I,A,H){if(Math.abs(G)<0.0001){G=0}if(Math.abs(F)<0.0001){F=0}','if(F){','var D=0;var C=0;var ','B="";if(I!=null){C=A-H;D=I;B=" width',1020,'A-I)+";"}E=','this.Spacer','(D-C)+\'<',1059,1060,'; top:\'+this.Em(-F)+";left',1020,'C',')+";"+B+\'">\'+',1074,'(-D)+E+',1074,'(C)+"</span>"}if(G){E=',1074,'(G)+E}return E},PlaceAbsolute',924,'D',1068,'var C="";var E="";var B="";if(',1002,'msieRelativeClipBug&&I!=null){C=',1074,'(-I);G+=I;E=',1074,'(A-H)}if(',1002,'operaAbsoluteWidthBug){B=" width: "+this.Em(H+2)}D=\'<',1059,':absolute; ',1016,'G)+"; top',1020,'F',1081,'C+D+E+"&nbsp;</span>";','return D},','Absolute',924,'B,A,C,D,E){if(E!="none"){',969,'E)<0.0001){E=0}B=\'<',1059,1101,'top:\'+','jsMath.HTML.','Em(E)+\'; left:0em;">\'+B+"&nbsp;</span>"}if(D=="none"){D=0}B+=this.Blank(A,C-D,D);if(',1002,'msieAbsoluteBug){B=\'<',1059,':relative',';">\'+B+"</span>"}B=\'<',1059,1122,';\'+',1002,'msieInlineBlockFix',1051,'>";return B}};','jsMath.Box','=function(C,E,A,B,D){if(D==null){D=jsMath.d}this.type="typeset";this.w=A;this.h=B;this.d=D;this.bh=B;this.bd=D;this.x=0;this.y=0;this.mw=0;this.Mw=A;this.html=E;this.format=C};jsMath.Add(',1131,',{defaultH:0,Null',942,'return new ',1131,'("null","",0,0,0)},Text',924,'J,I,A,K,H,G){var E=','jsMath.Typeset.AddClass(','I,J);E=','jsMath.Typeset.','AddStyle(','A,K,E);var B','=jsMath.EmBoxFor(','E);var C=',1143,'TeX(A,K);var F=((I=="cmsy10"||I=="cmex10")?B.h-C.h:C.d*B.h/C.hd);var D=new ',1131,'("text",J,B.w,B.h-F,F);D.style=A;D.size=K;D.tclass=I;if(G!=null){D.d=G*C.scale}else{D.d=0}if(H==null||H==1){D.h=0.9*C.M_height}else{D.h=1.1*C.x_height+C.scale*H}',1108,'TeX',924,'G,A,D,B){var H=',946,'A][G];if(H.d==null){H.d=0}if(H.h==null){H.h=0}if(H.img!=null&&H.c!=""){this.TeXIMG(A,G,',1143,'StyleSize(D,B))}var F=',1143,'TeX(D,B).scale;var E=new ',1131,'("text",H.c,H.w*F,H.h*F,H.d*F);E.style=D;E.size=B;if(H.tclass){E.tclass=H.tclass;if(H.img){E.bh=H.img.bh;E.bd=H.img.bd}else{E.bh=F*jsMath.h;E.bd=F*jsMath.d}}else{E.tclass=A;E.bh=F*',946,'A].h;E.bd=F*',946,'A].d;if(',1002,'msieFontBug&&','E','.html.match(/&#/)){','E','.html+=\'<span style="display:none">x</span','>\'}}return E},TeXfallback',924,'A,D,B,L){var J=',946,'D][A];if(!J.tclass){J.tclass=D}if(J.img!=null){',980,'TeXnonfallback(A,D,B,L)}if(J.h!=null&&J.a==null){J.a=J.h-1.1*jsMath.TeX.x_height}var K=J.a;var I=J.d;var H=this.Text(J.c,J.tclass,B,L,K,I);var E=',1143,'TeX(B,L).scale;if(J.bh!=null){H.bh=J.bh*E;H.bd=J.bd*E}else{var G=H.bd+H.bh;var F=',1141,'H.tclass,H.html);F=',1143,1144,'B,L,F);H.bd',1146,'F+',1117,'Blank(1,G)).h-G;H.bh=G-H.bd;if(E==1){J.bh=H.bh;J.bd=H.bd}}if(jsMath.',1169,'H',1171,'H',1173,'>\'}return H},TeXIMG',924,'E,A,R){var M=',946,'E][A];if(M.img.size!=null&&M.img.size==R&&M.img.best!=null&&M.img.best==','jsMath.Img.best','){return }var F=(',922,'.scale!=1);var B=',1202,'+R-4;if(B<0){B=0;F=1','}else{if(','B>=','jsMath.Img.fonts','.length){','B=',1210,'.length-1',';F=1}}var Q=',922,'[',1210,'[B]];var I=Q[E][A];var G=1/',922,'.w[',1210,'[B]];if(B!=',1202,'+R-4){if(M.w!=null){G=M.w/I[0]}else{G*=',1210,'[R]/',1210,'[4]*',1210,'[',1202,']/',1210,'[B]}}var N=I[0]*G;var J=I[1]*G;var L=-I[2]*G;var O;var H=(M.w==null||Math.abs(M.w-N)<0.01)?"":" margin-right:"+',1117,'Em(M.w-N)+";";var D="";A=',922,'.HexCode[A];if(!F&&!',976,'scaleImg){if(',1002,'mozImageSizeBug||2*N<J||(',1002,'msieAlphaBug&&',976,'alpha)){D="height',':"+(I[1]*',1002,'imgScale',')+"px;"}D+=" width:"+(I[0]*',1002,1250,')+"px;";O=-I[2]+"px"}else{if(',1002,'mozImageSizeBug||2*N<J||(',1002,'msieAlphaBug&&',976,1247,':"+',1117,'Em(J*',1002,1250,')+";"}D+=" width:"+',1117,'Em(N*',1002,1250,')+";";O=',1117,'Em(L)}var P=(Math.abs(L)<0.01&&!',1002,'valignBug)?"":" ',1040,'O+";";var K=',922,'.URL(E,',1210,'[B],A);if(',1002,'msieAlphaBug&&',976,'alpha){','M.c=\'<img src="\'+','jsMath.blank+\'" ',1042,1002,'msieCenterBugFix+D+P+H','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src=\'"+K+"\', sizingMethod=\'scale\');\\" />"}else{',1286,'K+\'" ',1042,1002,1290,'+\'" />\'}M.tclass="normal";M.img.bh=J+L;M.img.bd=-L;M.img.size=R;M.img.best=',1202,'},Space',924,'A){return ','new jsMath.Box("html",',1117,'Spacer(A),A,0,0)},Rule',924,'A,C){if(C','==null){C',1046,'var B=',1117,'Rule(A,C);return ',1302,'B,A,C,0)},GetChar',924,'B,',1007,946,'A][B];','if(C.img!=null){this.TeXIMG(A,B',',4)}if(C.tclass',1307,'.tclass=A}if(!C.computedW){C.w',1146,1141,'C.tclass,C.c)).w',';if(C.h',1307,'.h=',1131,'.defaultH}if(','C.d',1307,'.d=0}C.computedW=1}return C},DelimBestFit',924,'E,J,D,G){if(J==0&&D==0){return null}var I;var F;D','=jsMath.TeX.fam[','D];var A=(G.charAt(1)=="S");var B=(G.charAt(0)=="S");while(J!=null){I=',946,'D][J];if(I.h==null){I.h=',1131,1330,'I.d==null){I.d=0}F=I.h+I.d;if(I.delim){return[J,D,"",E]}if(A&&0.5*F>=E','){return[J,D,"','SS",0.5*F]}if(B&&0.7*F>=E',1343,'S",0.7*F]}if(F>=E||I.n==null',1343,'T",F]}J=I.n}return null},DelimExtendRelative',924,'I,T,O,V,D){var P=',946,'O][T];var N','=this.GetChar(','P.delim.','top?P','.delim.top:','P.delim.rep,O);var ','A',1353,1357,'M',1353,1354,'bot?P','.delim.bot:',1357,'E=',1141,'A.tclass,A.c);','var J=A.w;var S=A.h+A.d;var F;var B;var K;var L;var R;var Q;if(',1354,'mid){var U',1353,1354,'mid,O);Q','=Math.ceil((I-(','N.h+N.d)-(','U.h+U.d)-(M.h+M.d))/(2*(A.h+A.d',')));I=2*','Q*(A.h+A.d)+(N.h+N.d)+(','U.h+U.d)+(M.h+M.d);if(D){F=0}else{F=I/2+V}B=F;K=',1117,'Place(',1141,'N.tclass,N.c),0,F-N.h',')+',1117,1383,1141,'M.tclass,M.c),-(','N.w+M.w)/2,F-(I-M.d))+',1117,1383,1141,'U.tclass,U.c),-(M.w+U.w)/2,F-(I+U.h-U.d)/2);L=(J-U','.w)/2;if(Math.abs(L)<0.0001){L=0}if(L){K+=jsMath.HTML.Spacer(L)}F-=N.h+N.d+A.h;for(R=0;R<Q;R++){K+=jsMath.HTML.Place(E,-J,F-R*S)}','F-=I/2-A.h/2;for(R=0;R<Q;R++){K+=',1117,1383,'E,-J,F-R*S)}}else{Q',1376,1377,'M.h+M.d))/(A.h+A.d));if(N.h+N.d<0.9*(A.h+A.d)){Q=Math.max(1,Q)}I=',1380,'M.h+M.d);if(D){F=0}else{F=I/2+V}B=F;K=',1117,1383,1141,1385,');L=(J-N',1396,'K+=',1117,1383,1141,1390,'J+M.w)/2,B-(I-M.d))}if(D){S=N.h}else{S=I/2+V}var G=',1302,'K,A.w,S,I-S);G.bh=',946,'O].h;G.bd=',946,'O].d;return G},DelimExtendAbsolute',924,'I,S,M,U,B){var R=',946,'M];var N=R[S];var J;var L',1353,'N.delim.top?N',1356,'N.delim.rep,M);var ','A',1353,1431,'K',1353,'N.delim.bot?N',1365,1431,'O;var Q;var E;var D;var P;if(N.delim.mid){var T',1353,'N.delim.mid,M);O',1376,'L.h+L.d)-(','T.h+T.d-0.05',')-(','K.h+K.d-0.05','))/(2*(','A.h+A.d-0.05',1379,'O*(A.h+A.d-0.05)+(L.h+L.d)+(',1445,')+(',1447,');J=','jsMath.HTML.PlaceAbsolute(',1141,'L.tclass,L.c),0,0);Q=',1449,';E=L.d-0.05+A.h;D=',1141,'M,A.c);for(P=0;P<O;P++){J+=',1456,'D,0,E+P*Q)}J+=',1456,1141,'T.tclass,T.c),0,E+O*Q-A.h+T.h);E+=O*Q+',1445,';for(P=0;P<O;P++){J+=',1456,'D,0,E+P*Q)}J+=',1456,1141,'K.tclass,K.c),0,E+O*Q-A.h+K.h)}','else{O',1376,1444,1447,'))/(',1449,'));I=',1451,1447,');J=',1456,1141,'L.tclass,L.c),0,0);Q=',1449,';E=L.d-0.05+A.h;D=',1141,1369,'for(P=0;P<O;P++){J+=',1456,'D,0,E+P*Q)}J+=',1456,1141,1474,'var G=L.w;if(B){Q=L.h;E=0}else{Q=I/2+U;E=Q-L.h}J=',1117,1109,'(J,G,R.h,"none",-E);var F=',1302,'J,A.w,Q,I-Q);F.bh=',946,'M].h;F.bd=',946,'M].d;return F},Delimiter',924,'B,I,C,G){var A=4;var F=',1143,'TeX(C,A);if(!I','){return this.Space(F.nulldelimiterspace)}','var ','E=this.DelimBestFit(B,I[','2],I[1],C);',978,'||E[3]<B){',1514,'4],I[3],C)}',978,1512,'if(E[2]==""){',980,'DelimExtend(B,E[0],E[1],F.axis_height,G)}var D=',1131,'.TeX(E[0],E[1],E[2],A).Styled();if(!G){D.y=-((D.h+D.d)/2-D.d-F.axis_height)}',969,'D.y)<0.0001){D.y=0}if(D.y){D=',1131,'.SetList([D],E[2],A)}',1108,'GetCharCode',924,'B){var A',1336,'B[0]];var D=',946,'A];var C=D[B[1]];',1319,'[1],4)}if(C.w',1307,'.w',1146,1141,1325,'}if(C.font',1307,'.font=A}return C},AddClass',924,'B,C,A){if(B==null){B=A}return ',1141,'B,C)},LayoutRelative',924,'V,f,Y,I,J,N,c,X){if(Y==null){Y=[]}if(I==null){I=[]}if(J==null){J=[]}if(c==null){c=1}','if(X==null){X=1}','var k=jsMath.sizes[V]/100;var G=[];var T=[];var U=[];var E=-1000;var F=E;var K=E;var a;var Z;var M',';for(a=0;a<f.length;a++){','if(J[a]==null){J[a]=0}M=f[a];T[a]=c*jsMath.h*k;U[a]=c*jsMath.d*k;for(Z=0;Z<M.length;Z++){M[Z]=M[Z','].Remeasured();if(','M[Z].h>T[a]){T[a]=M[Z].h}if(M[Z].d>U[a]){U[a]=M[Z].d}if(Z>=G',1211,'G[Z]=M[Z].w',1208,'M[Z].w>G[Z]){',1562,'}}if(M[Z].bh>F){F=M[Z].bh}if(M[Z].bd>K){K=M[Z].bd}}}if(J[f','.length]==null){','J[f.length]=0}if(F==E){F=0}if(K==E){K=0}var A=c','*(jsMath.hd-0.01)*','k;var S=(N||1)*k/6;var R="";var L=0;var e=0;var Q;var b;var O;var P;var C;var B;for(Z=0;Z<G.length;Z++){C=[];O=-T[0]-J[0];L=0',1557,'B=f[a][Z','];if(B&&B.format!="null"){if(','Y[Z]=="l"){Q=0',1208,'Y[Z]=="r"){Q=G[Z]-B.w}else{Q=(G[Z]-B.w)/2}}B.x=Q-L;L=B.w+Q;B.y=O;C[C.length]=B}if(a+1<f',1211,'O-=Math.max(A,U[a]+T[a+1])+S+J[a+1]}}if(I[Z]==null){I[Z]=k}if(C.length>0){P=',1131,'.SetList(C,"T",V);R+=',1117,1383,'P.html,e,0);e=G[Z]-P.w+I[Z]}else{e+=I[Z]}}Q=-I[G',1214,'];O=(T',1214,')*S+J[0];for(a=0;a<G.length;a++){Q+=G[a]+I[a]}for(a=0;a<T.length;a++){O','+=Math.max(A,','T[a]+U[a])+J[a+1]}b=O','/2+jsMath.TeX.axis_height;var ','g=O-b;R+=',1117,'Spacer(e-I[G',1214,']+X*k/6);R=',1117,1383,'R,X*k/6,b);P=',1302,'R,Q+X*k/3,b,g);P.bh=F;P.bd=K;return P},LayoutAbsolute',924,'R,Z,U,E,F,I,X,S){if(U==null){U=[]}',978,'){E=[]}if(F==null){F=[]}',1555,'if(S==null){S=1}var b=jsMath.sizes[R]/100;var A=X',1569,'b;var N=(I||1)*b/6;var C=[];var O=[];var Q=[];var P=0;var Y;var L;var J;var V;var T;var G;','for(V=0;V<Z.length;V++){','if(F[V]==null){F[V]=0}G=Z[V];O[V]=X*jsMath.h*b;Q[V]=X*jsMath.d*b;for(T=0;T<G.length;T++){G[T]=G[T',1559,'G[T].h>O[V]){O[V]=G[T].h}if(G[T].d>Q[V]){Q[V]=G[T].d}if(T>=C',1211,'C[T]=G[T].w',1208,'G[T].w>C[T]){',1614,'}}}}if(F[Z',1567,'F[Z.length]=0}J=(O',1214,')*N+F[0];for(V=0;V<O.length;V++){J',1588,'O[V]+Q[V])+F[V+1]}Y=J',1590,'a=J-Y;var M="";var B;P=S*b/6;for(T=0;T<C.length;T++){J=O[0]-Y+F[0];',1609,'B=Z[V][T',1573,'U[T]&&U[T]=="','l"){L=0',1208,1630,'r"){L=C[T]-B.w}else{L=(C[T]-B.w)/2}}M+=',1456,'B.html,P+L,J-Math.max(0,B.bh-jsMath.h*b),B.mw,B.Mw,B.w)}if(V+1<Z',1211,'J',1588,'Q[V]+O[V+1])+N+F[V+1]}}if(E[T]==null){E[T]=b}P+=C[T]+E[T]}P=-E[C',1214,']+S*b/3;for(V=0;V<C.length;V++){P+=C[V]+E[V]}M=',1117,'Spacer(S*b/6',')+M+',1117,1644,');if(',1002,'spanHeightVaries){J=Y-jsMath.h}else{J=0}M=',1117,1109,'(M,P,Y+a,a,J);var K=',1302,'M,P+S*b/3,Y,a);return K},InternalMath',924,'G,I){if(!','jsMath.safeHBoxes){','G=G.replace(/@\\(([^)]*)\\)/g,"<$1>")}if(!G.match(/\\$|\\\\\\(/)){',980,'Text(this.safeHTML(G),"normal","T",I).Styled()}',1070,'F;var E="";var A=[];var B,H;while(D<G',1211,'F=G.charAt(D++);if(F','=="$"){if(E=="$"){','B=jsMath.Parse(G.slice(C,D-','1','),null,I);if(B.error){A[A.length]=this.Text(B.error,"error","T",I,1,0.2)}else{B.Atomize();A[A.length]=B.mlist.Typeset("T",I).Styled()}E="";C=D','}else{','H=this.safeHTML(G.slice(C',',D-1','));A[A.length]=this.Text(H,"normal","T",I,1,0.2);','E="$";C=D}}else{if(F=="\\\\"){',1665,'=="("&&E==""){',1671,',D-2',1673,'E=")";C=D',1208,'F==")"&&E==")"){',1667,'2',1669,'}}}}}',1671,1673,980,'SetList(A,"T",I)},safeHTML',924,'A){if(',1658,'A=A.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;")}return A},Set',924,'C,B,A,D){if'],
  ['(C&&C.type){if(C','.type=="','typeset"){','return ','C}if(C',1,'mlist"){','C.mlist.','Atomize','(B,A);',3,7,'Typeset','(B,A)}if(C',1,'text"){C','=this.','Text(C.text,C.tclass,B,A,C.ascend||null,C.descend||null);if(D!=0){C','.Styled()}',3,'C}C=this','.TeX(','C.c,C.font,B,A);if(D!=0){C',18,3,'C}',3,'jsMath.Box.','Null()},','SetList',':function(','D,F,C){var A=[];var G;','for(var B=0;B<','D.length;B++){G=D[B];if(G',1,2,'G=','jsMath.mItem','.',12,'(G)}','A[A.length]=','G}var E=new ','jsMath.Typeset','(A);',3,'E.',12,'(F,C)}});','jsMath.Package(jsMath.','Box,{Styled',':function(){','if(this.','format=="text"){','this.html','=',43,'.AddClass(','this.tclass',',',54,');',54,'=',43,'.AddStyle(','this.style',',this.size,',54,');delete ',58,';delete ',66,';this.format="html"}',3,'this},Remeasured',51,52,'w>0){this.w=jsMath.EmBoxFor(',54,').w;',52,'w','>this.Mw){this.Mw=this.w','}}',3,'this}});',37,'=function(A',',B','){this.type','=A;','jsMath.Add(','this,B)};',92,37,',{Atom',30,'B,A){',3,'new ',37,'(B,{','atom:1,nuc:A})},','TextAtom',30,'C,F,B,A,E){var D=new ',37,'(C',',{atom:1,nuc:{type:"','text",text:F,tclass:B}});if(A','!=null){D.nuc.','ascend=A}if(E',111,'descend=E}',3,'D},TeXAtom',30,'B,','C,A){',3,'new ',37,'(B',109,'TeX",c:C,font:A}})},Fraction',30,'B,A,F,D,E,C){',3,'new ',37,'("fraction",{from:B,num:A,den:F,','thickness',':D,left:E,right:C})},Space',30,'A){',3,'new ',37,'("space",{w:A})},',12,30,'A){',3,'new ',37,'("ord",{',103,'HTML',30,'A){',3,'new ',37,'("html",{html:A})}});','jsMath.mList','=function(D,A,B,C){','if(D){','this.mlist','=D}else{',158,'=[]}','if(C==null){C','="T"}if(B==null){B=4}','this.data','={openI:null,overI:null,overF:null,font:A,','size:B,style:C','};this.init={',166,'}};',49,'mList,{Add',30,'A){return(',158,'[','this.mlist.length',']=A)},Get',30,'A){',3,158,'[A]},Length',51,3,176,'},Last',51,'if(',176,'==0){',3,'null}',3,158,'[',176,'-1]},Range',30,98,'if(A==null){A=',176,'}',3,'new ',155,'(',158,'.slice(B,A+1))},Delete',30,'D,C){',162,'=D}if(',158,'.splice){',158,'.splice(D,C-D+1)}else{var A=[];',32,176,';B++){if(B<D||B>C){',41,158,'[B]}}',158,'=A}},Open',30,'D){var C',16,'Add(new ',37,'("boundary",{','data:',164,'}));var A=',164,';',164,'={};for(var B in A){',164,'[B]=A[B]}delete ',164,'.overI',71,164,'.overF;',164,'.openI=',176,'-1;if(D!=null){C.left=D}',3,'C},Close',30,'C){if(C!=null){C=new ',37,230,'right:C})}var E;','var B=',164,'.openI;var F=',164,'.overI;var ','G=',164,244,164,'=',158,'[B].data;if(F){E=',37,'.Fraction(','G.name,{','type:"mlist",mlist:this.Range(','B+1,F-1)},{',271,'F)},G.',132,',G.left,G.right);if(C){var A=new ',155,'([',158,'[B],E,C]);E=',37,'.Atom("inner",{type:"mlist",mlist:A})}}else{var D=B+1;if(C){this.Add(C);D--}E=',37,'.Atom((C)?"inner":"ord",{',271,'D)})}this.Delete(B,this.Length());',3,'this.Add(E)},Over',51,256,164,260,'C=',164,244,'var A=',37,269,'C.name,{',271,'open+1,B-1)},{',271,'B)},C.',132,',C.left,C.right);',158,'=[A]},',8,30,210,'var A;var E="";',66,'=D;this.size=C;',32,176,';B++){A=',158,'[B];A.delta=0;if(A',1,'choice"){',158,16,8,'.choice(',66,',A,B,',158,');B--}else{',52,8,'[A.type]){var F',16,8,'[A.type];F(',66,67,'A,E,this,B)}}E=A}if(A&&A',1,'bin"){A','.type="ord"}','if(',176,'>=2&&A',1,'boundary"&&',158,'[0].type=="boundary"){this.','AddDelimiters','(D,C)}},',348,30,'A,N){var M=-10000;var E=M;var G=M;for(var D=0;D<',176,';D++){var F=',158,'[D];if(F.atom||F',1,'box"){E','=Math.max(','E,F.nuc.h+F.nuc.y);G',359,'G,F.nuc.d-F.nuc.y)}}var C=jsMath.TeX;var I=',43,21,'A,N).','axis_height',';var L',359,'E-I,G+I);var K',359,'Math.floor(C.integer*L/500)*C.delimiterfactor,C.integer*(2*L-C.delimitershortfall))/C.integer;',256,158,'[0];var J=',158,'[',176,'-1];B.nuc=',27,'Delimiter(','K,B.left,A);J.nuc=',27,380,'K,J.right,A);B.type="open";B.atom=1',71,'B.left;J.type="close";J.atom=1',71,'J.right},',12,30,119,256,'new ',43,'(',158,');',3,'B.',12,'(C,A)}});',92,155,'.prototype.',8,',{style',30,'D,C,A,E,B){B.','style=A.style},size',30,408,'size=A.size},phantom',30,'C,B,A){','var D=A.nuc','=jsMath.Box.Set(','A.phantom',',C,B);if(A.h){D.','Remeasured();','D.html=','jsMath.HTML.Spacer','(D.w)}else{D.html="",D.w=D.Mw=D.mw=0}if(!A.v){','D.h=D.d=0','}D.bd=D.bh=0',71,417,';A.type="box"},','smash',30,414,'var D=A.nuc',416,'A.smash',',C,B).',419,423,71,433,427,'raise',30,414,'A.nuc',416,'A.nuc,C,B);var ','D=A.raise;','A.nuc.html','=','jsMath.HTML.','Place(',447,',0,D,A.nuc.mw,A.nuc.Mw,A.nuc.w);A.nuc.h+=D;A.nuc.d-=D;A','.type="ord";','A.atom=1},lap',30,'D,C,A){var ','E',416,'A.nuc,','D,C).',419,'var B=[E];if(A.lap=="llap"){E.x=-E.w}','else{if(A.lap=="','rlap"){B[1]=',37,'.Space(-E.w)}',463,'ulap"){E.y=E.d;E.h=E.d=0}',463,'dlap"){E.y=-E.h;E.h=E.d=0}}}}A','.nuc=jsMath.Box.SetList','(B,D,C);if(A.lap=="ulap"||A.lap=="dlap"){A.nuc.h=A.nuc.d=0}A.type="box";delete A.atom},bin',30,'D,B,A,E){if(E&&E.type){var C=E.type;if(C=="bin"||C=="op"||C=="rel"||C=="open"||C=="punct"||C==""||(C=="',345,'E.left!="")){A.type="ord"}}else{A',340,'jsMath.mList.prototype.Atomize.SupSub(','D,B,A)},rel',30,'C,B,A,D){if(D.type&&D',1,'bin"){D',340,478,'C,B,A)},','close',30,'C,B,A,D){if(D.type&&D',1,'bin"){D',340,478,486,'punct',30,'C,B,A,D){if(D.type&&D',1,'bin"){D',340,478,486,'open',30,414,478,486,'inner',30,414,478,486,'vcenter',30,414,'var D',416,445,'E=',43,21,'C,B);D.y=E.',366,'-(D.h-D.d)/2;A.nuc=D;A',453,478,486,'overline',30,456,'G=',43,21,'D,C);var E',416,459,43,'.PrimeStyle(D),C).Remeasured();var B=G.default_rule_thickness;var F=jsMath.Box.Rule(E.w,B);F.x=-F.w;F.y','=E.h+3*B;A',471,'([E,F],D,C);A.nuc.','h+=B;A',453,478,'D,C,A)},','underline',30,456,'G=',43,21,'D,C);var E',416,459,43,538,'=-E.d-3*B-B;A',471,541,'d+=B;A',453,478,545,'radical',30,'B,M,G){var D=',43,21,'B,M);var K=',43,'.PrimeStyle(B);var ','F',416,'G.nuc,K,M).',419,'var L=D','.default_rule_thickness',';var C=L;if(B=="D"||B=="D\'"){C=D.x_height}var A=L+C/4;var E=',27,380,'F.h+F.d+A+L,[0,2,112,3,112],B,1);if(E.d>F.h+F.d+A){A=(A+E.d-F.h-F.d)/2}E.y=F.h+A;var J=',27,'Rule(F.w,L);J.y=E.y-L/2;J.h+=3*L/2;F.x=-F.w;var I=',43,'.UpStyle(',43,585,'B));var H',416,'G.root||null,I,M).',419,'if(G.root){H.y=0.55*(F.h+F.d+3*L+A)-F.d;E.x',359,'H.w-(11/18)*E.w,0);J.x=(7/18)*E.w;H.x=-(H.w+J.x)}G',471,'([E,H,J,F],B,M);G',453,478,'B,M,G)},accent',30,'B,P,I){var E=',43,21,'B,P);var L=',43,571,'H',416,'I.nuc,L,P);var N=H.w;var O;var J;var C=0;if(I.nuc',1,'TeX"){','J=','jsMath.TeX[','I.nuc.font];if(J[I.nuc.c].krn&&J.skewchar){O=J[I.nuc.c].krn[J.skewchar]}C=J[I.nuc.c].ic;',162,'=0}}if(O==null){O=0}var K=I.accent[2];var D=jsMath.TeX.fam[I.accent[1]];J=',613,'D];while(J[K].n&&J[J[K].n].w<=N){K=J[K].n}var M=Math.min(H.h,E.x_height);if(I.nuc',1,611,'var G=',37,'.Atom("ord",I.nuc);G.sup=I.sup;G.sub=I.sub;G.delta=0;',478,'B,P,G);M+=(G.nuc.h-H.h);H=I.nuc=G.nuc',71,'I.sup',71,'I.sub}var F=',27,'TeX(K,D,B,P);F.y=H.h-M;F.x=-H.w+O+(N-F.w)/2;if(jsMath.Browser.msieAccentBug){F.html+=',421,'(0.1);F.w+=0.1;F.Mw+=0.1}if(J[K].ic||C){F.x+=(C-(J[K].ic||0))*E.scale}I',471,'([H,F],B,P);if(I.nuc.w!=H.w){var A=',37,'.Space(','H.w-I.nuc.w);I',471,'([I.nuc,A],B,P)}I',453,478,'B,P,I)},op',30,'D,O,J){var G=',43,21,'D,O);var I;J.delta=0;var N=(D','.charAt(0)=="','D");if(J.limits==null&&N){J.limits=1}if(J.nuc',1,611,256,613,'J.nuc.font][','J.nuc.c];if(N&&B.n){J.nuc.c=B.n;B=',613,655,'B.n]}I=J.nuc',416,'J.nuc,D,O',');if(B.ic){J.delta=B.ic*G.scale;if(J.limits||!J.sub||','jsMath.Browser.msieIntegralBug','){I=J',471,'([I,',37,637,'J.delta)],D,O)}}I.y=-((I.h+I.d)/2-I.d-G.',366,');if(Math.abs(I.y)<0.0001){I.y=0}}if(!I){I=J.nuc',416,661,').Remeasured()}if(J.limits){var F=I.w;var L=I.w;var E=[I];var K=0;var M=0;if(J.sup){var H',416,'J.sup,',43,585,'D),O).',419,'H.x=((I.w-H.w)/2+J.delta/2)-L;K=G.big_op_spacing5;F',359,'F,H.w);L+=H.x+H.w;H.y=I.h+H.d+I.y+Math.max(G.big_op_spacing1,G.big_op_spacing3-H.d);','E[E.length]=','H',71,'J.sup}if(J.sub){var A',416,'J.sub,',43,'.DownStyle(','D),O).',419,'A.x=((I.w-A.w)/2-J.delta/2)-L;M=G.big_op_spacing5;F',359,'F,A.w);L+=A.x+A.w;A.y=-I.d-A.h+I.y-Math.max(G.big_op_spacing2,G.big_op_spacing4-A.h);',684,'A',71,'J.sub}if(F>I.w){I.x=(F-I.w)/2;L+=I.x}if(L<F){',684,37,637,'F-L)}J',471,'(E,D,O);J.nuc.h+=K;J.nuc.d+=M','}else{if(',663,'&&J.sub&&B&&B.ic){J',471,'([I,',27,'Space(-B.ic*G.scale)],D,O)}else{if(I.y){J',471,'([I],D,O)}}',478,'D,O,J)}},ord',30,'A,I,G,B,F,E){if(G.nuc',1,'TeX"&&!G.sup&&!G.sub){var D=F.mlist[E+1];if(D&&D.atom&&D.type&&(D',1,'ord"||D',1,'op"||D',1,'bin"||D',1,'rel"||D',1,'open"||D',1,'close"||D',1,'punct")){if(D.nuc',1,'TeX"&&D.nuc.font==G.nuc.font){G.textsymbol=1;var H=',613,'G.nuc.font][G.nuc.c].krn;H*=',43,21,'A,I).scale;if(H&&H[D.nuc.c]){for(var C=F.mlist.length-1;C>E;C--){F.mlist[C+1]=F.mlist[C]}F.mlist[E+1]=',37,637,'H[D.nuc.c])}}}}',478,'A,I,G)},fraction',30,'R,N,B){var U=',43,21,'R,N);var L=0;if(B.',132,'!=null){L=B.',132,707,'B.from.match(/over/)){L=U',577,'}}var Q=(R',649,'D");var F=(R=="D")?"T":(R=="D\'")?"T\'":',43,585,'R);var P=(Q)?"T\'":',43,691,'R);var E',416,'B.num,F,N).',419,'var D',416,'B.den,P,N).',419,'var K;var J;var I;var O;var M;var G=(Q)?U.delim1:U.delim2;var A=[',27,380,'G,B.left,R)];var S=',27,380,'G,B.right,R);if(E.w<D.w){E.x=(D.w-E.w)/2;D.x=-(E.w+E.x);I=D.w;A[1]=E;A[2]=D}else{D.x=(E.w-D.w)/2;E.x=-(D.w+D.x);I=E.w;A[1]=D;A[2]=E}if(Q){K=U.num1;J=U.denom1}else{K=(L!=0)?U.num2:U.num3;J=U.denom2}if(L==0){O=(Q)?7*U',577,':3*U',577,';M=(K-E.d',')-(D.h-J);if(M<O){','K+=(O-M)/2;J+=(O-M)/2}}else{O=(Q)?3*L:L;var T=U.',366,';M=(K-E.d)-(T+L/2);if(M<O){K+=O-M}M=(T-L/2',786,'J+=O-M}var C=',27,'Rule(I,L);C.x=-I;C.y=T-L/2;',41,'C}E.y=K;D.y=-J;',41,'S;B',471,'(A,R,N);B',453,'B.atom=1',71,'B.num',71,'B.den;',478,'R,N,B)},SupSub',30,'F,R,L){var H=',43,21,'F,R);var P=L.nuc;var K=L.nuc',416,'L.nuc,F,R,0);if(K.format=="null"){K=L.nuc=',27,'Text("","normal",F,R)}if(P',1,611,'if(!L.textsymbol){var E=',613,'P.font][P.c];if(E.ic){L.delta=E.ic*H.scale;if(!L.sub){K=L',471,'([K,',27,'Space(L.delta)],F,R);L.delta=0}}}else{L.delta=0}}if(!L.sup&&!L.sub){return }L.nuc.Styled();var I=',43,691,'F);var M=',43,585,'F);var D=',43,21,'M,R).sup_drop;',256,43,21,'I,R).sub_drop;var O=0;var N=0;var G;if(P.type&&P.type!="text"&&P.type!="TeX"&&P.type!="null"){O=K.h-D;N=K.d+B}if(L.sub){var A',416,'L.sub,I,R);A=',27,29,'([A,',37,'.Space(H.scriptspace)],F,R',')}if(!L.sup){A.y=-Math.max(N,H.sub1,A.h-(4/5)*',43,21,'I,R).x_height);L',471,'([K,A],F,R).Styled();delete L.sub;return }var J',416,'L.sup,M,R);J=',27,29,'([J,',37,845,');if(F=="D"){G=H.sup1',707,'F','.charAt(','F','.length-1)=="\'"){','G=H.sup3}else{G=H.sup2}}O',359,'O,G,J.d+',43,21,'M,R).x_height/4);if(!L.sub){J.y=O;L',471,'([K,J],F,R',69,'L.sup;return }N',359,'N,',43,21,'I,R).sub2);var Q=H',577,';if((O-J.d)-(A.h-N)<4*Q){N=4*Q+A.h-(O-J.d);G=(4/5)*H.x_height-(O-J.d);if(G>0){O+=G;N-=G}}J.',419,'A.',419,'J.y=O;A.y=-N;J.x=L.delta;if(J.w+J.x>A.w){J.x-=A.w;L',471,'([K,A,J],F,R)}else{A.x-=(J.w+J.x);L',471,'([K,J,A],F,R)}delete L.sup',71,'L.sub}});',43,88,90,'="typeset";',158,'=A};',92,43,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',901,'\'",SS:"SS\'","',903,'UpStyle',30,'A){',3,'this.upStyle[A]},DownStyle',30,'A){',3,'this.downStyle[A]},PrimeStyle',30,'A){if(A',862,'A',864,3,'A}',3,'A+"\'"},StyleValue',30,98,'if(B=="S"||B=="S\'"){',3,'0.7*A}if(B=="SS"||B=="SS\'"){',3,'0.5*A}',3,'A},StyleSize',30,'B,A){if(B=="S"||B=="S\'"){A=Math.max(0,A-2)}else{if(B=="SS"||B=="SS\'"){A=Math.max(0,A-4)}}return ','A},TeX',30,936,'jsMath.TeXparams[A]},AddStyle',30,414,'if(C=="S"||C=="S\'"){B',359,'0,B-2)}else{if(C=="SS"||C=="SS\'"){B',359,'0,B-4)}}if(B!=4){A=\'<span class="size\'+B+\'">\'+A+"</span>"}',3,'A},AddClass',30,'A,B){if(A!=""&&A!="normal"){B=',449,'Class(A,B)}',3,'B}});jsMath.Package(',43,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',958,'punct',960,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',960,',bin:2,rel:3,open',966,'}},SSsep:{ord:{op:1},op',960,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',30,'A,D,B){if(A&&A.atom&&D.atom){var C',16,'DTsep;if(B',649,'S"){C',16,'SSsep}var E=C[A.type];if(E&&E[D.type]!=null){',3,613,'this.sepW[E[D.type]]]}}',3,'0},',12,30,210,66,313,'var G=-10000;this.w=0;this.mw=0;this.Mw=0;this.h=G;this.d=G;','this.bh',16,'h;','this.bd',16,'d;this.tbuf="";this.tx=0;',58,'="";','this.cbuf','="";this.hbuf="";this.hx=0;var A=null;var F;this.x=0;','this.dx=0;',32,176,';B++){F=A;A=',158,'[B];switch(A.type){case"size":','this.FlushClassed();','this.size=A.size;','A=F;break;case"','style":',1010,'if(',66,862,66,864,66,'=A.style+"\'"}else{',66,'=A.style}',1012,'space":if(typeof (A.w)=="object"){if(',66,862,'1)=="S"){A.w=0.5*A.w[0]/18',707,66,649,'S"){A.w=0.7*A.w[0]/18}else{A.w=A.w[0]/18}}}this.dx+=A.w-0;',1012,'html":',1010,'if(this.hbuf==""){this.hx=this.','x}','this.hbuf+=','A.html;A=F;break;default:if(!A.atom&&A.type!="box"){break}A.nuc.x+=this.dx+this.',974,'(F,A,',66,');','if(A.nuc.x||A.nuc.y){','A.nuc',18,1004,'this.x',16,'x+this.w;',52,'x','+A.nuc.x+A.nuc.','mw','<this.mw){this.mw=this.','x',1053,'mw}',52,'w',1053,'Mw',83,1053,'Mw}this.w+=A.nuc.w+A.nuc.x;if(A.nuc.',53,'if(',58,'!=A.nuc.tclass&&',58,'!=""){','this.FlushText','()}',52,'tbuf==""&&',1002,'==""){this.tx',16,'x}this.tbuf+=',447,';',58,'=A.nuc.tclass}else{',1010,1044,'this.Place(A.nuc)}',1036,'x}',1038,447,'}this.h',359,'this.h,A.nuc.h+A.nuc.y);',994,359,994,',A.nuc.bh);this.d',359,'this.d,A.nuc.d-A.nuc.y);',997,359,997,',A.nuc.bd);break}}',1010,52,'dx){',1038,421,'(this.dx);this.w+=this.dx;',52,'w',83,'}',52,'w',1055,'w}}',52,'hbuf==""){',3,27,'Null()}',52,'h==G){this.h=0}',52,'d==G){this.d=0}','var E=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);E.bh',16,'bh;E.bd',16,'bd;E.mw',16,'mw;E.Mw',16,'Mw;',3,'E},FlushText',51,52,'tbuf','==""){return }',1002,'+=',43,'.AddClass(',58,',this.tbuf);this.tbuf="";',58,'=""},FlushClassed',51,1072,'();',52,'cbuf',1142,1036,'tx}',1038,43,'.AddStyle(',66,67,1002,');',1002,'=""},Place',30,'B){var A=\'<','span style="position: relative',';\';if(B.x){A+=" margin-left',':"+jsMath.HTML.Em','(B.x)+";"}if(B.y){A+=" top',1172,'(-B.y)+";"}B.html=A+\'">\'+B.html+"</span>";','B.h+=B.y;B.d-=B.y;B.x=0;B.y=0','},PlaceSeparateSkips',30,'B){if(B.y){var D=B.Mw-B.w;var C=B.mw;var A=B.Mw-B.mw;B.html=',421,'(C-D)+\'<',1170,'; top:\'+',449,'Em(-B.y)+";left',1172,'(D)+"; width',1172,'(A)+\';">\'+',421,'(-C)+B.html+',421,'(D)+"</span>"}if(B.x){B.html=',421,'(B.x)+B.html}',1176,'}});jsMath.Parse',156,1127,'Parser(D,A,B,C);E.Parse();',3,'E};jsMath.Parser',156,'this.string=D;this.i=0;',158,'=new ',155,'(null,A,B,C)};',49,'Parser,{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript",_:"HandleSubscript"," ":"Space","\\01','":"Space","\\','t',1211,'r',1211,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry","#":"Hash"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],triangleright:[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],lt:[3,1,60],gt:[3,1,62],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],','leftarrow',':[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],','mapstochar',':[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],minuschar:[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0',',2,105,3,11],"\\\\','lt":[0',',2,104,3,10],"\\\\','gt":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1229,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1229,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1227,'rangle":[5',1223,'langle":[4',1225,'rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1241,'T"],scriptstyle',1241,'S"],scriptscriptstyle',1241,'SS"],rm',':["HandleFont",','0],mit',1249,'1],oldstyle',1249,'1],cal',1249,'2],it',1249,'4],bf',1249,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1263,'arctan',1263,'arg',1263,'cos',1263,'cosh',1263,'cot',1263,'coth',1263,'csc',1263,'deg',1263,'det',':"NamedOp",','dim',1263,'exp',1263,'gcd',1283,'hom',1263,'inf',1283,'ker',1263,'lg',1263,'lim',1283,'liminf',':["NamedOp",null,\'lim<span style="margin-left: \'+1/6+\'em"></span>','inf\'],limsup',1301,'sup\'],ln',1263,'log',1263,'max',1283,'min',1283,'Pr',1283,'sec',1263,'sin',1263,'sinh',1263,'sup',1283,'tan',1263,'tanh',1263,513,':["HandleAtom","',513,'"],',528,1327,528,'"],',546,1327,546,'"],over',':"HandleOver",','overwithdelims',1338,'atop',1338,'atopwithdelims',1338,'above',1338,'abovewithdelims',1338,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1350,'","[","]"],choose',1350,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1356,'overrightarrow',1356,'underrightarrow',1356,'overleftarrow',1356,'underleftarrow',1356,'overleftrightarrow',1356,'underleftrightarrow',1356,'overset',':["Extension","underset-overset"],','underset',1372,'llap',':"HandleLap",','rlap',1376,'ulap',1376,'dlap',1376,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1384,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1388,'not="],neq',1388,'not="],notin',1388,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1388,1395,'lower2mu{\\\\mathrel{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1388,'mathbin{\\\\rm mod}"],pmod',1388,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1388,'ointop\\\\nolimits"],doteq',1388,'buildrel\\\\textstyle.\\\\over="],ldots',1388,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1388,1409,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1388,1409,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1388,1409,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1388,1395,'kern-4mu}"],relbar',1388,1395,'smash-}"],Relbar',1388,'mathrel="],bowtie',1388,'mathrel\\\\triangleright\\\\joinrel\\\\mathrel\\\\triangleleft"],models',1388,'mathrel|\\\\joinrel="],mapsto',1388,1395,1219,'\\\\rightarrow}"],rightleftharpoons',1388,513,'{\\\\',1395,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1221,'}"],hookrightarrow',1388,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1388,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1388,'Relbar\\\\joinrel\\\\','Rightarrow"],','longrightarrow',1388,'relbar',1445,'"],longleftarrow',1388,1448,'relbar"],Longleftarrow',1388,'Leftarrow\\\\joinrel\\\\','Relbar"],longmapsto',1388,1395,1219,'\\\\minuschar',1445,'}"],longleftrightarrow',1388,1217,1445,'"],','Longleftrightarrow',1388,1462,1452,'iff:["Macro","\\\\;\\\\',1474,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1481,'rm #1}",1],mathbf',1481,'bf #1}",1],','mathbb',1481,1486,'mathit',1481,'it #1}",1],textrm',1388,'mathord{\\\\hbox{#1}}",1],textit',1388,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1388,1496,1499,1498,'pmb',1388,'rlap{#1}\\\\kern1px{#1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1507,'ord",1.15],bigg',1507,'ord",1.45],Bigg',1507,'ord",1.75],bigl',1507,'open",0.85],Bigl',1507,'open",1.','15],biggl',1507,1518,'45],Biggl',1507,1518,'75],bigr',1507,'close",0.85],Bigr',1507,'close",1.','15],biggr',1507,1529,'45],Biggr',1507,1529,'75],bigm',1507,'rel",0.85],Bigm',1507,'rel",1.15],biggm',1507,'rel",1.45],Biggm',1507,'rel",1.75],mathord',1327,'ord"],mathop',1327,'op"],mathopen',1327,'open"],mathclose',1327,'close"],mathbin',1327,'bin"],mathrel',1327,'rel"],mathpunct',1327,'punct"],mathinner',1327,'inner"],','mathchoice',1261,1561,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1261,'fbox"],strut:"Strut",mathstrut',1388,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1569,'18]],ddot',1569,'127]],tilde',1569,'126]],bar',1569,'22]],bre'],
  ['ve',':["MathAccent",[','7,0,','21]],check',1,2,'20]],hat',1,2,'94]],vec',1,'0,1,126]],dot',1,2,'95]],widetilde',1,'0,3,101]],widehat',1,'0,3,98]],_:["Replace","ord","_","normal",-0.4,0.1]," ":["Replace","','ord","&nbsp;","normal','"],angle',':["Macro","\\\\','raise1.54pt{\\\\kern2.5mu\\\\rlap{\\\\scriptstyle\\\\char{cmsy10}{54}}\\\\kern1pt\\\\rule{.45em}{-1.2pt}{1.54pt}\\\\kern2.5mu}"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',25,'c"],null,3,"D"],cr:"','HandleRow','","\\\\":"',29,'",newline:"',29,'",noalign:"','HandleNoAlign','",eqalignno',25,'r","l","r"],[5/8,3],3,"D"],','leqalignno',25,38,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',43,'1],scriptsize',43,'2],small',43,'3],normalsize',43,'4],large',43,'5],Large',43,'6],LARGE',43,'7],huge',43,'8],Huge',43,'9],dots',21,'ldots"],newcommand',':["Extension","','newcommand"],','newenvironment',65,66,'def',65,66,'color',65,'HTML"],','href',65,'HTML"],"class":["','Extension','","',75,'style',65,75,'cssId',65,75,'unicode',65,75,'bbox',65,'bbox"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array','",null,null,"c"],pmatrix',96,23,'bmatrix',96,'","[","]","c"],Bmatrix',96,'","\\\\{","\\\\}","c"],vmatrix',96,'","\\\\vert","\\\\vert","c"],Vmatrix',96,'","\\\\Vert","\\\\Vert","c"],cases',96,'","\\\\{",".","ll",null,2],eqnarray:["','Array",null,null,"rcl",[5/18,5/18],3,"D','"],"eqnarray*":["',111,'"],equation:"Equation","equation*":"Equation",align',65,'AMSmath','"],"align','*":["Extension","AMSmath"],','aligned',65,116,'"],','multline',65,116,'"],"',123,118,'split',65,116,'"],gather',65,116,'"],"gather',118,'gathered',65,116,'"]},AddSpecial',':function(','A){for(var B in A){','jsMath.Parser.prototype','.special[',143,'[B]]=A[B]}},Error',141,'A){this.i=','this.string.length',';if(A','.error){this.error=A','.error}','else{if(!','this',151,'}}},nextIsSpace',':function(){','return ','this.string.charAt(this.i',').match(/[ \\n\\r\\t]/)},trimSpaces',141,'A){','if(typeof (','A)!="string"){',158,'A}',158,'A.replace(/^\\s+|\\s+$/g',',"")},','Process',141,'A){var ','C=','this.mlist.data',';A','=jsMath.Parse(','A,C.font,C.size,C.style);if(A','.error){this.Error(','A);','return null','}if(A.mlist.Length()==','0){',180,181,'1','){var B=','A.mlist.','Last();if(','B.atom&&B.type=="ord"&&B.nuc&&!B.sub&&!B.sup&&(B.nuc.type=="text"||B.nuc.type=="TeX")){',158,'B.nuc}}return{type:"mlist",mlist:A.mlist}},GetCommand',':function(){var ','A=/^([a-z]+|.) ?/i;var B=A.exec(','this.string.slice(this.i','));if(B){this.i+=B[1].','length;',158,'B[1]}this.i++;return" "},GetArgument',141,'B,C){while','(this.nextIsSpace()){this.i','++}','if(this.','i>=',149,'){','if(!C){','this.Error("','Missing',' argument for "+B)}',180,'}if(',159,')==this.close){',207,208,'Extra close brace','")}',180,'}if(',159,')==','this.cmd','){this.i++;','return this.','cmd+','this.GetCommand','()}if(',159,')!=this.open){',158,159,'++)}var A=++this.i;var D=1;var E="";','while(this.i<this.string.length){','E=',159,'++);if(','E','==this.cmd){this.i++}else{if(','E==this.open){D++}','else{if(','E==this.close){','if(D==0){',208,217,'");',180,'}if(--D==0){',225,'string.slice(','A,this.i-1)}}}}}',208,'Missing close brace','");',180,'},ProcessArg',141,'B','){var A=','this.GetArgument(','B);','if(this.error){return',' null}',225,170,'(A)},ProcessScriptArg',141,'C',259,260,'C);',262,263,'if(A.charAt(0)==',223,186,'A.substr(1);if(B=="frac"){A+="{"+',260,'B)+"}";',262,263,'A+="{"+',260,'B)+"}";',262,' null}}else{if(B','=="sqrt"){A+="["+this.GetBrackets(B)+"]";',262,263,'A+="{"+',260,'B)+"}";',262,286,'.match(this.scriptargs)){A+="{"+',260,'B)+"}";',262,' null}}}}}',225,170,'(A)},GetDelimiter',141,'A){while',201,'++}var B=',159,');',203,'i<',149,224,'if(B','==this.cmd){','B="\\\\"+',227,'(A);',262,' null}}','if(','this.delimiter[','B]!=null){',225,'delimiter[','B]}}',208,209,' or unrecognized delimiter for "+A);',180,'},GetDimen',141,'A,D){var ','B;var C=0;if',201,'++}if(',159,')=="{"){B=',260,'A)}else{B=',194,');C=1}',225,'ParseDimen','(B,A,C,D)},',343,141,'C,B,D,E',259,'C.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!A){',208,209,' dimension or its units for "+B);',180,'}if(D){this.i+=A[0].',196,'if',201,'++}}var F=A[1]-0;if(A[4]=="px"){F/=jsMath.em','}else{if(A[4]=="','pt"){F/=10',359,'ex"){F*=','jsMath.TeX','.x_height',359,'mu"){if(E){F=F/18}else{F=[F,"mu"]}}}}}',158,'F},GetNext',157,'while',201,'++}',158,159,')},GetBrackets',141,172,'D','=this.GetNext();if(','D!="["){return""}var C=++this.i;var B=0;',234,'D=',159,237,'D=="{"){B++}',241,'D=="}"){','if(B==0){',208,217,' while looking for',' \']\'");',180,'}B--}',241,'D',239,'D=="]"){',388,225,250,'C,this.i-1)}}}}}}',208,'Couldn\'t find',' closing \']\' for argument to',' "+this.cmd','+A);',180,'},GetUpto',141,'B,C){while',201,'++}var F=this.i;var D=0;',234,'var E=',159,237,'E=="{"){D++}',241,'E=="}"){',243,208,217,391,406,'+C);',180,'}D--}',241,'E',314,'if(',194,',this.i+','5)=="begin"){D++;this.i+=4}',241,194,434,'3)=="end"){if(D>0){D--;this.i+=2}}}',243,'if(',194,434,'C.length)==C){E=',159,'+C.length);if(E.match(/[^a-z]/i)||!C.match(/[a-z]/i)){var A=this.',250,'F,this.i-1);this.i+=C.',196,158,'A}}}this.i++}}}}',208,404,406,'+C+" for "+B);',180,'},ProcessUpto',141,'B,C',259,'this.GetUpto','(B,C);',262,263,225,170,'(A)},GetEnd',141,'C){var A="";var B="";while(B!=C){A+=',461,'("begin{"+C+"}","end");',262,263,'B=','this.GetArgument(this.cmd','+"end");',262,319,158,'A},Space',':function(){},','Prime',141,'C',186,'this.mlist.',188,'B==null||(!B.atom&&B','.type!="box"&&','B','.type!="frac")){','B=','this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}))}','if(B.sup){',208,'Prime causes double exponent',': use braces to clarify");return',' }var A','="";while(C=="\'"){A+=',223,'+"prime";C',379,'C=="\'"){this.i++}}B.sup=this.',170,'(A);B.sup.isPrime=1},RaiseLower',141,172,'B','=this.GetDimen(this.cmd+','A,1);',262,' }var ','C','=this.ProcessScriptArg','(',223,407,262,' }if(A=="lower"){B=-B}','this.mlist.Add(new jsMath.mItem("','raise",{nuc:C,raise:B}))},MoveLeftRight',141,'B){var ','A',510,'B,1);',262,513,'C','=this.ProcessArg(this.cmd+','B);',262,' }if(B=="moveleft"){A=-A}',493,'Space(A','));',493,'Atom("ord",C));',493,'Space(-A))},Require',141,172,'B=',475,407,262,' }B=','jsMath.Extension','.URL(B);if(','jsMath.Setup.','loaded[B]){','return }','this.Extension(null,[','B])},',79,141,'A,B){','jsMath.Translate','.restart=1;if(A','!=null){','delete ',143,'[B[1]||"macros"][A]}',549,'.Require(B[0],',559,'.asynchronous',');throw"restart"},Frac',141,524,'A',531,'B);',262,513,'C',531,'B);',262,' }',493,'Fraction("over",A,C))},Sqrt',141,524,'D','=this.GetBrackets(this.cmd+','B);',262,499,531,'B);',262,' }var C=jsMath.mItem.Atom("','radical",A);','if(D!=""){C.root=this.',170,'(D);',262,' }}',486,'Add(C)},','Root',141,524,'D','=this.ProcessUpto(this.cmd+','B,"of");',262,499,531,'B);',262,594,595,'C.root=D;',486,602,'BuildRel',141,172,'B',607,'A,"over");',262,513,'D',531,'A);',262,594,'op",D);C.limits=1;C.sup=B;',486,602,'MakeBig',141,332,'C=D[0];var B=D[1]*jsMath.p_height;var E','=this.GetDelimiter(this.cmd+','A);',262,' }',493,'Atom(C,','jsMath.Box.Delimiter(','B,E,"T")))},Char',141,'B',259,475,'+B);',262,513,'C=',475,'+B);',262,' }if(!',363,'[A]){',363,'[A]=[];',554,'jsMath.Font.URL(A',')])}else{',493,'Typeset(','jsMath.Box.TeX(C-0,A,',174,'.style,',174,'.size)))}},Matrix',141,'B,H){var E=',174,';var A=',475,'+B);',262,513,'G=','new jsMath.','Parser(A','+this.cmd+"\\\\",null,','E.size,H[5]||"T");G.matrix=B;G.row=[];G.table=[];G.rspacing=[];G.Parse();if(G',178,'G);',553,'G.',29,'(',527,'var D','=jsMath.Box.','Layout(E.size,G.table,H[2]||null,H[3]||null,G.rspacing,H[4]||null);if(H[0]&&H[1]){var F=',645,'D.h+D','.d-jsMath.hd/4,this.delimiter[','H[0]],"T");var C=',645,'D.h+D',698,'H[1]],"T");D',694,'SetList([','F,D,C],E.style,E.size)}',493,'Atom((H','[0]?"inner":"ord"),','D))},HandleEntry',141,'B){','if(!this.','matrix){this.Error(B','+" can only appear in a matrix or array");return }if(',174,'.openI!=null',259,486,'Get(',174,'.openI);if','(A.left){',208,209,406,'+"right','")}else{',208,253,'")}}if(',174,'.overI',561,486,'Over()}var D=',174,';',486,'Atomize(','D.style,D.size);','var C=',486,667,741,'C.entry=D.entry;delete D.entry;if(!C.entry){C.entry={}}this.row[','this.row.length',']=C;this.mlist=',682,'mList(null,null,D.size,D.style)},',29,141,'A,C){var B;',713,'matrix){','this.Error(this.cmd+A',715,'A=="\\\\"){B',587,'A);',262,' }if(B){B=this.',343,'(B,','this.cmd+','A,0,1)}}this.HandleEntry(A);if(!C||',747,'>1||this.row[0].format!="null"){this.table[this.table.length]=this.row}if(B){','this.rspacing[this.table.length',']=B}this.row=[]},',35,141,'B',259,475,'+B);',262,513,'C=A.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(C.length==A','.length){',553,'var D=this.',343,'(C,',765,'RegExp.$1,0,1);',262,' }',769,']=(',769,']||0)+D},Array',141,'B,C){var ','E=C[2];var I=C[3];if(!E){E=',475,'+"begin{"+B+"}");',262,' }}E=E.replace(/[^clr]/g,"");E=E.split("");var G=',174,676,'C[5]||"T";var K=this.GetEnd(B);',262,513,'F=',682,'Parser(K',684,'G.size,A);F.matrix=B;F.row=[];F.table=[];F.rspacing=[];F.Parse();if(F',178,'F);',553,'F.',29,'(',527,'var H',694,'Layout(G.size,F.table,E,I,F.rspacing,C[4],C[6],C[7]);if(C[0]&&C[1]){var D=',645,'H.h+H',698,'C[0]],"T");var J=',645,'H.h+H',698,'C[1]],"T");H',694,705,'D,H,J],G.style,G.size)}',493,'Atom((C',709,'H))},Begin',141,172,'B=',475,407,262,' }if(B.match(/[^a-z*]/i)){this.Error(\'Invalid environment name "\'+B+\'"\');',553,713,94,'[B]){this.Error(\'Unknown environment "\'+B+\'"\');',553,'var C=this.',94,'[B];',163,'C',')=="string"){','C=[C]}this[C[0]](B,C.slice(1))},End',141,172,'B=',475,407,262,' }',756,'+"{"+B+"} without matching',406,'+"begin")},Equation',141,'B',259,'this.GetEnd(B);',262,' }','this.string=','A+',194,');this.i=0},Spacer',141,'B,A){',493,536,'-0))},Hskip',141,524,'A',510,'B);',262,' }',493,536,'))},HBox',141,172,'C=',475,407,262,513,'B',694,'InternalMath(C,',174,'.size);',493,667,'B))},Rule',141,'B,E){var A',510,527,262,513,'D',510,527,262,513,'F',510,527,262,' }D+=F;var C;if(D!=0){D=Math.max(1.05/jsMath.em,D)}if(D==0||A==0||E=="blank"){C=','jsMath.HTML.','Blank(A,D)}else{C=',921,'Rule(A,D)}if(F){C=\'<span style="vertical-align:\'+',921,'Em(-F)+\'">\'+C','+"</span>"}',493,667,682,'Box("html",C,A,D-F,F)))},Strut',192,'A=',174,'.size;var B',694,'Text("","normal","T",A).Styled();B.bh=B.bd=0;B.h=0.8;B.d=0.3;B.w=B.Mw=0;',493,667,'B))},Phantom',141,794,'A',531,'B);',262,' }',521,'phantom",{phantom:A,v:C[0],h:C[1]}))},Smash',141,794,'A',531,'B);',262,' }',521,'smash",{smash:A}))},MathAccent',141,'B,',172,'D',531,'B);',262,594,'accent",D);C.accent=A[0];',486,602,'NamedOp',141,'B,D){var ','A=(B.match(/[^acegm-su-z]/))?1:0;var E=(B.match(/[gjpqy]/))?0.2:0;if(D[1]){B=D[1]}var C=jsMath.mItem.','TextAtom("','op",B,',363,'.fam[0],A,E);if(D[0]!=null){C.limits=D[0]}',486,602,'Limits',141,'A,C',186,486,'Last();if(!B||B.type!="op"){',756,'+" is allowed only on operators");',553,'B.limits=C[0]},Macro',141,972,'E=D[0];if(D[1]){var A=[];for(var C=0;C<D[1];C++){A[A.length]=',475,'+B);',262,' }}E=this.','SubstituteArgs','(A,E)}',871,'this.AddArgs(','E,',194,'));this.i=0},',997,141,'B,',172,'E="";var D="";var F;var C=0;while(C<A',780,'F=A.charAt(C++);if(F',314,'E+=F+A.charAt(C++)}',241,'F=="#"){',1010,'=="#"){E+=F}',153,'F.match(/[1-9]/)||F>B',780,208,'Illegal ','macro parameter ','reference");',180,'}D=',1000,1000,'D,E),B[F-1]);E=""}}else{E+=F}}}',225,'AddArgs(D,E)},AddArgs',141,876,'if(A.match(/^[a-z]/i)&&B.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){B+=" "}',158,'B+A},Replace',141,558,493,'TextAtom(','B[0],B[1],B[2','],B[3]))},Hash',141,'A){',208,'You can\'t use \'',1022,'character #\' in math mode")},Tilde',141,'A){',493,974,19,'"))},HandleLap',141,172,'B=this.ProcessArg();',262,548,521,'lap",{nuc:B,lap:A}))},HandleAtom',141,794,'A',531,'B);',262,' }',493,'Atom(C[0],A))},HandleMathCode',141,'A,B','){this.HandleTeXchar(',1040,'])},HandleTeXchar',141,'B,A,C){if(B==7&&',174,'.font',561,'A=',174,'.font}A=',363,'.fam[A];if(!',363,'[A]){',363,'[A]=[];',554,664,')])}else{',493,'TeXAtom(',363,'.atom[B],C,A))}},','HandleVariable',141,'A',1072,'7,1',',A.charCodeAt(0))},','HandleNumber',141,'A',1072,'7,0',1101,'HandleOther',141,'A){',493,974,'ord",A,"normal"))},HandleComment',192,'A;',234,'A=',159,237,'A=="\\r"||A=="\\n"){return }}},HandleStyle',141,558,174,'.style=B[0];',521,'style",{style:B[0]}))},HandleSize',141,558,174,'.size=B[0];',521,'size",{size:B[0]}))},HandleFont',141,876,174,'.font=A[0]},HandleCS',192,'B=',227,'();',262,' }',203,'macros[B]){var A=this','.macros','[B];',163,'A',852,'A=[A]}this[A[0]](B,A.slice(1));',553,203,'mathchardef','[','B]){this.HandleMathCode(B,this.',1153,'[B]);',553,'if(',321,765,1155,324,765,'B].slice(0,3));',553,208,'Unknown control sequence \'"+',765,'B+"\'")},HandleOpen',157,486,'Open()},HandleClose',157,'if(',174,'.openI==null){',208,217,'");return',499,'=',486,'Get(',174,722,'(!A||A.left==null){',486,'Close()}else{',208,217,' or missing',406,727,1180,' }},HandleLeft',141,172,'B',639,'A);',262,' }',486,'Open(B)},HandleRight',141,524,'C',639,'B);',262,499,'=',486,'Get(',174,722,'(A&&A.left',561,486,'Close(C)}else{',208,'Extra open brace or missing',406,'+"left")}},HandleOver',141,558,'if(',174,733,561,208,'Ambiguous use of',406,407,553,174,733,'=',486,'Length();',174,'.overF={name:A};if(B.length>0){',174,'.overF.','left=',321,'B[0]];',174,1245,'right=',321,'B[1]]}',241,'A.match(/withdelims$/)){',174,1245,'left',639,'A);',262,' }',174,1245,'right',639,'A);',262,' }}else{',174,1245,'left=null;',174,1245,1251,'null}}if(A.match(/^above/)){',174,1245,'thickness',510,'A,1);',262,' }}else{',174,1245,'thickness=null}},HandleSuperscript',192,'A=',486,188,174,733,'==',486,'Length()){A=null}','if(A==null','||(!A.atom&&A',489,'A',491,'A=',493,494,'if(A.sup){if(A.sup.isPrime){A=',493,494,'else{',208,'Double exponent',498,' }}A.sup',515,'("superscript");',262,' }},HandleSubscript',192,'A=',486,188,174,733,'==',486,'Length()){A=null}',1296,'||(!A.atom&&A',489,'A',491,'A=',493,494,'if(A.sub){',208,'Double subscripts',498,' }A.sub',515,'("subscript");',262,' }},Parse',192,'B;',234,'B=',159,'++);',203,'mathchar[',1155,'mathchar[B])}else{',203,'special[B]){this[this',144,'B]](B)}else{',203,'letter','.test(B)){this.',1096,'(B)}else{',203,'number',1358,1102,1360,'this.',1108,'(B)}}}}}if(',174,'.openI!=null',259,486,'Get(',174,722,'(A.left){',208,209,406,727,728,208,253,'")}}if(',174,733,561,486,'Over()}},Atomize',192,'A=',486,'init;',713,'error){',486,740,'A.style,A.size)}},Typeset',192,'F=',486,1393,782,'typeset=',486,667,'F.style,F',901,262,'\'<span class="error">\'+this.error',927,'if(D.format=="null"){return""}D.Styled().Remeasured();var E=0;var C=0;if(D.bh>D.h&&','D.bh>jsMath.h+0.001){','E=1}if(D.bd>D.d&&D.bd>jsMath.d+0.001){E=1}if(D.h>jsMath.h||D.d>jsMath.d){C=1}var B=D.html;if(E){if(','jsMath.Browser.','allowAbsolute){var G=0;if(',1413,'G=jsMath.h-D.bh}B=',921,'Absolute(B,D.w,jsMath.h,0,G)}',241,1415,'valignBug){','B=\'<span style="line-height:\'+jsMath.HTML.Em(jsMath.d',')+\';">\'+B',927,153,1415,'operaLineHeightBug',259,921,'Em(Math.max(0,D.bd-jsMath.hd)/3);',1424,')+"; position:relative; top:"+A+"; vertical-align:"+A+\'">\'+B+"</span>"}}}C=1}if(C){B+=',921,'Blank(0,D.h+0.05,D.d+0.05)}return\'<nobr><span class="scale">\'+B+"</span></nobr>"}});',143,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',141,172,'C=',143,1145,';C[A]=["Macro"];for(var B=1;B<arguments.',196,'B++){C[A][C[A].length]=arguments[B]}}});',549,'={safeRequire:1,Macro',141,558,'var C=',143,1145,';if(B==null){B=A}C[A]=["',79,'",B]},LaTeX',141,'B,',172,'C=',143,'.',94,';C[B]=["Extension",','A,"',94,'"]},Font',141,876,1296,'){A=B+"10"}var C=',143,1145,1466,664,')]},MathChar',141,'C,',172,'D=',363,'.famName[C','];if(D==null){D=',363,'.fam.',196,363,'.fam[D]=C;',363,1484,']=D}var B=',143,'.',1153,';for(var E in A){B[E]=[A[E][0],D,A[E][1]]}},Require',141,876,203,'safeRequire&&(B.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(B.match(/:/)&&B.substr(0,jsMath.root.length)!=jsMath.root))){',551,'loaded[B]=1;',553,551,'Script(this.URL(B),A)},URL',141,'A){A=',168,',"");if(!A.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){A="extensions/"+A}if(!A.match(/\\.js$/)){A+=".js"}',158,'A}};',1439,170,141,'A){',551,'Body();','jsMath.Script.','Push(',559,',"','Asynchronous','",A)},','ProcessBeforeShowing',141,'A){',551,1518,'var B=(','jsMath.Controls.cookie.','asynch?"',1523,'":"','Synchronous','");',1519,1520,559,',B,A)},','ProcessElement',141,'A){',551,1518,1519,1520,559,',"ProcessOne",A)}});',559,'={element:[],cancel:0,Parse',141,'D,C,',172,'B=','jsMath.Global.','cache[D];if(!','B[jsMath.em',']){',1558,']={}}var F=',1558,'][C];if(!F||',172,'E',176,'C,null,null,D);E.Atomize();F=E.Typeset();if(!A){',1558,'][C]=F}}',158,'F},TextMode',141,'B,A){this.Parse("','T",B,A)},DisplayMode',141,1573,'D",B,A)},','GetElementText',141,'B){if(','B.childNodes.length','==1&&','B.childNodes[','0].nodeName==="#comment"){var A=',1583,'0].nodeValue.match(/^\\[CDATA\\[(.*)\\]\\]$/);if(A',561,158,'A[1]}}',847,'recursiveElementText','(B);B.alt=C;if(C.search("&")>=0){','C=C.replace(/&','lt;/g,"<");',1593,'gt;/g,">");',1593,'quot;/g,\'"\');',1593,'amp;/g,"&")}',158,'C},',1591,141,1580,'B.nodeValue',561,'if(B.nodeName!=="#comment"){',158,1606,'}',158,1606,'.replace(/^\\[CDATA\\[((.|\\n)*)\\]\\]$/,"$1")}if(',1581,'===0){return" "}var C="";for(var A=0;A<',1581,';A++){C+=this.',1591,'(',1583,'A])}',158,'C},ResetHidden',141,'A){A.innerHTML=\'<span id="jsMath_hiddenSpan" style="position:absolute"></span>\'+',1415,'operaHiddenFix;A','.className','="";','jsMath.hidden','=A.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop','}jsMath.ReInit()},ConvertMath',141,'C,B,',172,'D=this.',1578,'(B);this.ResetHidden(B);if(D.match(/^\\s*\\\\nocache([^a-zA-Z])/)){A=true;D=D.replace(/\\s*\\\\nocache/,"")}D=this.Parse(C,D,A);B',1629,'="typeset";B.innerHTML=D},',1541,141,'C){this.restart=0;if(!C',1629,'.match(/(^| )math( |$)/)){return',499,'=(C',1629,'.toLowerCase','().match(/(^| )nocache( |$)/)!=null);try{var D=(C.tagName',1651,'()=="div"?"D":"T");this.ConvertMath(D,C,A);C.onclick=jsMath.Click.CheckClick;C.ondblclick=jsMath.Click.CheckDblClick}catch(E){if(C.alt',186,'C.alt;B=B.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;");C.innerHTML=B;C',1629,'="math";if(A){C',1629,'+=" nocache"}}',1633,'}},','ProcessElements',141,'B){',1519,'blocking=','1;if(B>=','this.element.length','||this.cancel){this.','ProcessComplete','();',203,'cancel){','jsMath.Message.','Set("',170,' Math: Canceled");',1675,'Clear()}',1519,1667,'0;',1519,170,'()}else{var A=',1519,'SaveQueue();','this.ProcessElement(this.element[','B]);',1519,'RestoreQueue(A);',203,'restart){',1519,1520,'this,"',1663,'",B);',1519,1667,'0;setTimeout("',1519,170,'()",',1415,'delay)}else{B++;var C=Math.floor(100*B/',1669,');','jsMath.Message.Set("Processing Math',': "+C+"%");setTimeout("',559,'.',1663,'("+B+")",',1415,'delay)}}},',1523,141,'A','){if(!jsMath.initialized){jsMath.Init()}this.element','=this.GetMathElements(','A);',1519,1667,'1;this.cancel=0;this',568,'=1;',1710,': 0%",1);setTimeout("',559,'.',1663,'(0)",',1415,'delay)},',1535,141,876,1296,1721,1722,'B);A=0}this',568,'=0;while(A<',1669,'){',1689,'A]);',203,'restart){','jsMath.Synchronize','("',559,'.',1535,'(null,"+A+")");',1519,170,'();',553,'A++}this.',1671,'(1)},ProcessOne',141,'A',1721,'=[A];this.',1535,'(null,0)},GetMathElements',141,'D){var B=[];var A;if(!D){D=','jsMath.document','}',163,'D',852,'D=',1773,'.getElementById(D)}if(!','D.getElementsByTagName','){',180,'}var C=',1781,'("div','");for(A=0;A<C.length;A++){if(C[A].className&&C[A].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&D.getElementsByName){C[A].setAttribute("name","_jsMath_")}else{B[B.length]=C[A]}}}','C=',1781,'("span',1787,'if(',1415,'renameOK','&&D','.getElementsByName','){B=D',1796,'("_jsMath_','")}',241,1631,'.sourceIndex','){B.sort(function(F,E){',158,'F',1803,'-E',1803,'})}}',158,'B},',1671,141,'C){if(',1415,1794,186,1773,1796,1799,'");for(var A=B.length-1;A>=0;A--){B[A].removeAttribute("name")}}',1633,';this.element=[];this.restart=null;',207,1710,': Done");',1675,'Clear()}',1675,'UnBlank();if(',1415,'safariImgBug&&(',1531,'font=="symbol"||',1531,'font=="image")){',203,'timeout){clearTimeout(this.timeout)}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); ',1840,'(1,0); ',559,'.timeout = null",2000)}},Cancel',157,559,'.cancel=1;if(',1519,'cancelTimer){',1519,'cancelLoad()}}};',1439,'ConvertTeX',141,'A){',1519,'Push(jsMath.tex2math,"',1854,1524,'ConvertTeX2',141,'A){',1519,1858,1861,1524,'ConvertLaTeX',141,'A){',1519,1858,1868,1524,'ConvertCustom',141,'A){',1519,1858,1875,1524,'CustomSearch',141,'C,B,A,D){',1519,1520,'null,function(){jsMath.tex2math.',1882,'(C,B,A,D)})},tex2math:{',1854,481,1861,481,1868,481,1875,481,1882,':function(){}}});',1752,'=',1519,'Synchronize;try{if(','window.parent','!=window&&window.jsMathAutoload){',1904,'.jsMath=jsMath;',1773,'=',1904,'.document;jsMath.window=',1904,'}}catch(err){}',1556,'Register();jsMath.Loaded();jsMath.Controls.GetCookie();',551,'Source();',1556,'Init();',1519,'Init();',551,'Fonts();if(',1773,'.body){',551,'Body()}',551,'User("onload")}};']

]);
//end = new Date().getTime();
//alert(end-start);
